local xtl_cond_a_result= GAMESTATE:IsPlayerEnabled(PLAYER_1)

local xtl_cond_b_result= GAMESTATE:IsPlayerEnabled(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

P1_CENTER = SCREEN_CENTER_X-160
P2_CENTER = SCREEN_CENTER_X+160

song_path = GAMESTATE:GetCurrentSong():GetSongDir();
tempo = 195;
song_duration = 130;
aspect_scale = (SCREEN_WIDTH/SCREEN_HEIGHT)/(640/480);

rate_mod = 1;
beat_length = (60/(tempo * rate_mod));
offset = 0
tilt_angle = 8
shift_amount = 10

-- THANK YOU BASED WINDEU

-- Returns Effective Speed Mod >= 1.0x
-- REQUIRES SET BPM FOR CMOD CONVERSIONS
function GetSpeedMod(pn)
	local bpm = 195;

	local s = SCREENMAN:GetTopScreen():GetChild('PlayerOptionsP'..pn):GetText();
	local f = string.find(s,'x,');
	local speed;
	
	if f then
		speed = tonumber(string.sub(s,1,f-1));
	elseif string.sub(s,1,1) == 'C' then
		local len = string.find(s,',')-1;
		speed = tonumber(string.sub(s,2,len))/bpm;
	else
		speed = 1;
	end
	
	if speed < 1 then speed = 1; end
	
	return speed;
end

-- Gets the Current Rate Mod
function GetRateMod()
	local s = SCREENMAN:GetTopScreen():GetChild('SongOptions'):GetText();
	local fbegin = string.find(s,'.',1,true);
	local fend = string.find(s,'xMusic');
	if fbegin and fend then
		return tonumber(string.sub(s,fbegin-1,fend-1));
	else
		return 1.0;
	end
end

-- These functions don't seem to be explicitly defined in SM3.95 so we define them
-- Let the user determine if actor is nil or not
function GetRotationX(actor)
	local x, y, z = actor:getrotation();
	return x;
end

function GetRotationY(actor)
	local x, y, z = actor:getrotation();
	return y;
end

function GetRotationZ(actor)
	local x, y, z = actor:getrotation();
	return z;
end

return Def.ActorFrame{
  Name= "xtl_actor_c",
EndSongCommand= function(self)
    MESSAGEMAN:Broadcast('StepP1');
    MESSAGEMAN:Broadcast('StepP2');
    self:sleep(4);
  end,
InitCommand= function(self)
  end,
OnCommand= function(self)
    self:queuecommand('Update');
  end,
UpdateCommand= function(self)
    -- Probably a little excessive but oh well
    self:SetDrawByZPosition(true);
    SCREENMAN:GetTopScreen():SetDrawByZPosition(true);
    SCREENMAN:GetTopScreen():GetChild('SongBackground'):z(-2000);
    SCREENMAN:GetTopScreen():GetChild('SongBackground'):diffuse(0,0,0,1); 
    SCREENMAN:GetTopScreen():GetChild('Underlay'):z(-2000);
    SCREENMAN:GetTopScreen():GetChild('Underlay'):diffuse(0,0,0,1); 
    SCREENMAN:GetTopScreen():GetChild('Overlay'):z(-2000);
    SCREENMAN:GetTopScreen():GetChild('Overlay'):diffuse(0,0,0,1); 

    -- Get the Music Rate and modify the beat length accordingly
    rate_mod = GetRateMod()
    beat_length = (60/(tempo * rate_mod));

    self:sleep(126);
    self:queuecommand('EndSong');
  end,
  optional_actor(xtl_cond_a_result,
  Def.ActorFrame{
    Name= "xtl_actor_d",
  InitCommand= cmd(queuecommand,"SetupPlayer"),
  SetupPlayerCommand= function(self)
      -- Get Player 1's Speed Mod
      local speed_mod = GetSpeedMod(1)
      p1_travel_time = (beat_length * 8)/(speed_mod);
      
      self:SetDrawByZPosition(true);

      local p1_playfield = SCREENMAN:GetTopScreen():GetChild('PlayerP1');

      if p1_playfield then
        GAMESTATE:ApplyGameCommand('mod, *10000 no mini', 1);

        p1_playfield:SetDrawByZPosition(true);
        p1_playfield:x(-10000);
        p1_playfield:y(360);
        p1_playfield:z(10);
        p1_playfield:visible(1);

        p1_playfield:GetChild('Judgment'):GetChild(''):Load(song_path .. 'animations/graphics/judgment 2x6.png')
        p1_playfield:GetChild('Judgment'):x(10000 + 160 + (SCREEN_CENTER_X-135-185));
        p1_playfield:GetChild('Combo'):visible(0);
      end

      local p1_life = SCREENMAN:GetTopScreen():GetChild('LifeP1');

      if p1_life then
          p1_life:zoomto(0.45, 114/p1_life:GetChild('Background'):GetWidth());
          p1_life:x(P1_CENTER + 80);
          p1_life:y(SCREEN_CENTER_Y-28);
          p1_life:z(1000);
          p1_life:rotationx(180);
          p1_life:rotationz(90);
          p1_life:diffusealpha(0);
      end

      if SCREENMAN:GetTopScreen():GetChild('ScoreP1') then
        SCREENMAN:GetTopScreen():GetChild('ScoreP1'):visible(0);
      end
    end,
    Def.ActorFrame{
      Name= "xtl_actor_e",
    InitCommand= function(self)
          length = 40

          self:fov(90);
          self:x(P1_CENTER);
          self:y(160);
        end,
    P1LeftHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1LeftHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1LeftHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RotateCCWMessageCommand= cmd(stoptweening;decelerate,beat_length*6.5/rate_mod;rotationz,-720+7;sleep,0;rotationz,7;linear,beat_length*1.5/rate_mod;rotationz,0),
    P1RotateCWMessageCommand= cmd(stoptweening;decelerate,beat_length*6.5/rate_mod;rotationz,720-7;sleep,0;rotationz,-7;linear,beat_length*9.5/rate_mod;rotationz,0),
    P1SharpLeftMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,-tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    P1SharpRightMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    VanishX= P1_CENTER,
    VanishY= 150,
      Def.Sprite{
        Name= "xtl_actor_f",
      InitCommand= cmd(zoom,0.1;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;blend,"BlendMode_Add"),
      P1TurnOnMessageCommand= cmd(linear,beat_length/rate_mod;zoom,2.2;sleep,0;zoom,0.1),
      Texture= "graphics/warp_change.png",
      },
      Def.Sprite{
        Name= "xtl_actor_g",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 45;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) ); 
              self:croptop(0.01);         

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_no_top_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_h",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 90;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );
              self:croptop(0.05);

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_no_mid_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_i",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 135;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );
              self:croptop(0.01);

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_no_bot_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_j",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 225;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4);
            end,
      Texture= "graphics/tex_dome_no_bot.png",
      },
      Def.Sprite{
        Name= "xtl_actor_k",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 270;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_no_mid.png",
      },
      Def.Sprite{
        Name= "xtl_actor_l",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 315;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_no_top.png",
      },
      Def.Sprite{
        Name= "xtl_actor_m",
      InitCommand= cmd(visible,1;zoom,0.38;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -250;z,50;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_n",
      InitCommand= cmd(visible,1;zoom,0.4;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -240;z,50;sleep,0.3;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_o",
      InitCommand= cmd(visible,1;zoom,0.1;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -253;z,50;sleep,0.05;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_p",
      InitCommand= cmd(visible,1;zoom,0.2;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -260;z,50;sleep,0.2;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_q",
      InitCommand= cmd(visible,1;zoom,0.38;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -250;z,50;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_r",
      InitCommand= cmd(visible,1;zoom,0.4;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -240;z,50;sleep,0.3;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_s",
      InitCommand= cmd(visible,1;zoom,0.1;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -253;z,50;sleep,0.05;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_t",
      InitCommand= cmd(visible,1;zoom,0.2;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -260;z,50;sleep,0.2;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_u",
      InitCommand= cmd(visible,1;zoom,1.2;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-999;queuecommand,"Pulse"),
      P1TurnOffMessageCommand= cmd(visible,1),
      P1TurnOnMessageCommand= cmd(visible,0),
      PulseCommand= cmd(linear,beat_length/rate_mod;zoom,1.5;linear,beat_length/rate_mod;zoom,1.2;queuecommand,"Pulse"),
      Texture= "graphics/light_no.png",
      },
      Def.Sprite{
        Name= "xtl_actor_v",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 45;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) ); 
              self:croptop(0.01);         

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_cl_top_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_w",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 90;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );
              self:croptop(0.05);

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_cl_mid_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_x",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 135;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );
              self:croptop(0.01);

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_cl_bot_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_y",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 225;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4);
            end,
      Texture= "graphics/tex_dome_cl_bot.png",
      },
      Def.Sprite{
        Name= "xtl_actor_z",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 270;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_cl_mid.png",
      },
      Def.Sprite{
        Name= "xtl_actor_ab",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 315;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_cl_top.png",
      },
      Def.Sprite{
        Name= "xtl_actor_bb",
      InitCommand= cmd(visible,0;zoom,0.38;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -250;z,50;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_cb",
      InitCommand= cmd(visible,0;zoom,0.4;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -240;z,50;sleep,0.3;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_db",
      InitCommand= cmd(visible,0;zoom,0.1;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -253;z,50;sleep,0.05;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_eb",
      InitCommand= cmd(visible,0;zoom,0.2;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -260;z,50;sleep,0.2;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_fb",
      InitCommand= cmd(visible,0;zoom,0.38;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -250;z,50;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_gb",
      InitCommand= cmd(visible,0;zoom,0.4;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -240;z,50;sleep,0.3;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_hb",
      InitCommand= cmd(visible,0;zoom,0.1;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -253;z,50;sleep,0.05;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_ib",
      InitCommand= cmd(visible,0;zoom,0.2;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -260;z,50;sleep,0.2;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_jb",
      InitCommand= cmd(visible,0;zoom,1.2;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-999;queuecommand,"Pulse"),
      P1TurnOffMessageCommand= cmd(visible,0),
      P1TurnOnMessageCommand= cmd(visible,1),
      PulseCommand= cmd(linear,beat_length/rate_mod;zoom,1.5;linear,beat_length/rate_mod;zoom,1.2;queuecommand,"Pulse"),
      Texture= "graphics/light_cl.png",
      },
    },
    Def.ActorFrame{
      Name= "xtl_actor_kb",
    InitCommand= cmd(fov,90;x,P1_CENTER;y,SCREEN_CENTER_Y + -80),
    P1LeftHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1LeftHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1LeftHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RotateCCWMessageCommand= cmd(stoptweening;decelerate,beat_length*4/rate_mod;rotationz,-375;sleep,0;rotationz,-15;
                                linear,beat_length*2.5/rate_mod;rotationz,7/rate_mod;linear,beat_length*1.5/rate_mod;rotationz,0),
    P1RotateCWMessageCommand= cmd(stoptweening;decelerate,beat_length*4/rate_mod;rotationz,375;sleep,0;rotationz,15;
                                linear,beat_length*2.5/rate_mod;rotationz,-7;linear,beat_length*9.5/rate_mod;rotationz,0),
    P1SharpLeftMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,-tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    P1SharpRightMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    VanishX= P1_CENTER,
    VanishY= 150,
      Def.Sprite{
        Name= "xtl_actor_lb",
      InitCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + 260;z,-999;zoom,4.1),
      Texture= "graphics/playfield.png",
      },
      Def.Sprite{
        Name= "xtl_actor_mb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(14.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(19.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ob",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(19.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(24.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(28.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(29.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(33.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(34.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ub",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(36.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(58.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(60.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(60.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(67.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(68.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ac",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(68.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(72.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.461538 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.461538 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(73.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(80.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ec",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(86.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(88.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(108.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(110.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ic",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(110.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(116.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(121.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(19.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(24.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(26.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(29.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(29.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(33.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(33.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(51.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 4.923077 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 4.923077 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(66.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(87.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 1.230769 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 1.230769 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(89.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(96.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(102.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(108.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(109.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ad",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(111.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(112.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(118.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(14.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ed",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(16.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(17.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(18.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(19.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_id",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(20.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(22.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(23.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ld",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(24.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_md",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(25.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(27.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_od",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(28.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(29.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(30.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(32.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(33.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_td",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ud",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(35.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(36.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(38.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(39.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(40.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(41.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(43.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_be",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(44.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(45.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_de",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(46.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ee",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(48.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(49.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ge",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(50.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_he",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(51.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ie",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(52.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_je",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(54.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ke",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(55.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_le",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(56.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_me",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(57.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ne",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(59.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(60.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(61.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(62.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_re",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(64.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_se",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(65.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_te",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(66.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ue",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(67.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ve",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(68.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_we",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(70.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(71.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ye",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(72.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ze",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(73.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_af",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(75.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(76.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(77.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_df",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(78.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ef",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(80.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ff",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(81.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(82.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(83.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_if",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(84.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(86.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(87.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(88.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(89.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(91.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_of",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(92.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(93.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(94.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(96.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(97.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(98.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(99.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(102.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(103.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(104.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(105.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ag",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(107.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(108.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(109.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(110.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(112.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(113.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(114.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(115.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ig",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(116.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(119.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(120.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(121.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ng",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(123.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_og",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(124.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(14.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(14.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(14.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ug",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(15.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(16.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ah",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(16.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ch",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(17.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(17.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ih",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(18.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(19.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(19.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(19.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ph",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(20.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_th",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(21.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(21.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(24.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(24.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(24.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ai",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bi",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ci",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(25.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_di",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ei",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fi",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(26.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gi",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hi",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ii",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(26.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ji",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ki",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_li",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(27.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mi",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ni",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oi",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(28.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pi",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qi",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ri",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(28.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_si",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(29.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ti",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(29.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ui",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(29.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vi",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(29.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wi",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(29.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xi",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(29.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yi",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zi",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aj",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(30.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bj",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cj",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dj",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(30.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ej",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fj",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gj",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(31.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hj",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ij",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jj",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(32.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kj",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lj",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mj",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(32.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nj",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(36.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oj",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(36.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pj",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(36.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qj",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rj",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sj",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(37.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tj",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uj",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vj",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(38.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wj",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xj",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yj",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(38.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zj",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ak",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bk",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(38.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ck",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dk",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ek",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(39.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fk",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gk",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hk",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(39.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ik",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jk",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kk",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(40.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lk",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mk",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nk",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(40.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ok",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pk",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qk",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(40.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rk",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sk",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tk",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(41.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uk",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vk",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wk",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(41.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xk",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yk",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zk",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(42.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_al",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bl",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cl",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(42.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dl",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_el",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fl",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gl",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hl",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_il",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jl",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kl",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ll",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ml",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nl",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ol",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pl",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ql",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rl",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(44.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sl",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tl",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ul",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(44.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vl",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wl",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xl",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(45.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yl",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zl",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_am",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(45.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bm",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(46.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cm",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(46.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dm",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(46.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_em",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(46.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fm",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(46.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gm",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(46.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hm",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(46.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_im",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(46.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jm",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(46.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_km",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lm",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mm",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(47.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nm",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_om",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pm",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(47.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qm",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rm",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sm",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(48.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tm",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_um",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vm",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(48.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wm",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xm",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ym",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(48.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zm",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_an",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bn",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(49.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cn",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dn",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_en",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(49.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fn",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gn",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hn",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(49.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_in",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jn",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kn",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ln",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mn",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nn",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_on",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(51.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pn",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(51.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qn",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(51.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rn",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(51.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sn",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(51.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tn",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(51.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_un",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(52.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vn",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(52.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wn",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(52.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xn",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yn",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zn",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(53.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ao",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(54.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bo",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(54.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_co",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(54.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_do",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(56.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eo",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(56.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fo",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(56.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_go",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ho",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_io",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(57.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jo",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ko",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lo",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(57.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mo",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_no",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oo",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(58.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_po",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qo",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ro",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(58.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_so",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_to",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uo",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(59.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vo",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wo",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xo",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(59.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yo",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(60.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zo",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(60.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ap",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(60.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bp",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cp",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dp",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(61.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ep",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fp",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gp",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hp",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ip",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jp",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kp",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lp",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mp",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(63.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_np",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_op",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pp",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(63.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qp",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rp",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sp",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(64.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tp",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_up",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vp",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(64.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wp",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xp",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yp",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(64.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zp",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(66.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aq",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(66.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bq",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(66.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cq",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(67.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dq",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(67.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eq",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(67.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fq",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(68.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gq",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(68.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hq",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(68.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iq",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(69.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jq",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(69.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kq",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(69.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lq",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(70.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mq",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(70.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nq",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(70.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oq",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pq",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qq",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(71.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rq",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sq",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tq",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(71.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uq",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vq",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wq",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(72.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xq",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yq",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zq",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(72.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ar",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_br",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cr",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(74.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dr",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_er",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fr",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(81.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gr",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hr",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ir",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(81.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jr",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kr",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lr",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(82.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mr",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nr",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_or",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(82.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pr",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qr",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rr",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(82.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sr",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tr",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ur",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vr",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wr",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xr",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yr",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zr",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_as",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bs",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cs",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ds",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(84.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_es",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fs",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gs",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(84.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hs",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_is",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_js",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(84.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ks",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ls",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ms",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ns",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_os",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ps",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qs",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rs",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ss",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ts",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_us",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vs",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ws",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(87.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xs",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(87.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ys",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(87.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zs",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_at",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bt",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(88.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ct",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dt",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_et",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(90.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ft",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gt",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ht",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(90.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_it",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jt",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kt",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(91.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lt",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mt",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nt",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(91.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ot",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pt",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qt",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(91.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rt",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_st",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tt",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(92.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ut",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vt",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wt",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(92.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xt",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yt",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zt",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(92.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_au",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bu",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cu",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(93.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_du",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eu",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fu",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(93.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gu",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hu",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iu",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(93.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ju",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ku",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lu",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(94.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mu",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nu",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ou",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(95.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pu",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qu",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ru",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_su",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tu",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uu",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vu",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(98.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wu",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(98.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xu",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(98.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yu",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(98.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zu",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(98.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_av",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(98.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bv",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cv",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(99.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dv",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ev",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fv",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gv",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hv",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iv",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jv",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(103.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kv",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lv",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mv",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(103.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nv",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ov",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pv",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(104.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qv",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rv",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sv",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(104.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tv",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uv",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vv",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(104.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wv",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xv",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yv",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zv",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aw",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bw",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cw",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dw",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ew",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fw",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gw",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hw",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(106.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iw",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jw",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kw",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(106.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lw",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mw",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nw",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(107.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ow",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pw",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qw",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(107.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rw",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(108.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sw",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(108.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tw",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(108.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uw",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vw",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ww",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(114.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xw",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yw",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zw",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(114.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ax",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bx",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cx",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(114.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dx",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ex",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fx",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gx",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hx",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ix",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(116.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jx",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kx",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lx",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(116.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mx",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nx",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ox",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_px",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qx",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rx",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sx",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tx",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ux",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(117.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vx",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wx",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(118.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xx",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yx",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(119.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zx",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(119.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ay",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(119.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_by",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(119.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cy",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(119.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dy",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(119.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ey",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fy",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gy",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hy",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(121.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iy",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(121.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jy",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(121.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ky",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ly",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_my",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(122.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ny",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oy",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_py",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(122.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qy",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(123.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ry",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(123.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sy",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(123.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ty",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uy",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vy",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(125.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wy",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xy",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yy",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zy",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(14.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_az",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(14.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bz",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(14.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cz",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dz",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ez",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(15.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fz",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gz",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hz",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(15.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iz",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jz",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kz",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(16.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lz",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mz",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nz",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(16.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oz",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pz",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qz",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(17.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rz",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sz",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tz",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(18.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uz",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vz",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wz",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(18.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xz",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yz",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zz",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(18.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aab",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(19.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bab",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(19.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cab",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(19.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dab",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eab",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fab",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(20.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gab",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hab",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iab",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(20.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jab",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kab",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lab",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(20.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mab",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nab",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oab",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(21.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pab",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(22.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qab",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(22.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rab",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(22.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sab",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(23.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tab",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(23.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uab",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(23.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vab",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(24.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wab",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(24.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xab",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(24.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yab",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zab",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_abb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(25.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bbb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cbb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dbb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(25.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ebb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fbb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gbb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(26.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hbb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ibb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jbb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(27.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kbb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lbb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mbb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(27.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nbb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_obb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pbb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(28.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qbb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rbb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sbb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(30.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tbb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ubb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vbb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(31.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wbb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xbb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ybb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zbb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_acb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bcb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ccb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dcb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ecb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fcb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gcb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hcb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_icb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(33.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jcb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(33.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kcb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(33.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lcb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(33.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mcb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(33.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ncb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(33.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ocb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(33.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pcb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(33.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qcb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(33.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rcb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(34.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_scb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(34.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tcb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(34.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ucb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(34.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vcb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(34.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wcb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(34.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xcb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ycb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zcb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_adb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bdb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cdb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ddb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_edb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fdb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gdb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hdb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_idb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(38.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jdb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kdb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ldb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(39.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mdb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ndb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_odb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(39.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pdb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qdb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rdb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(40.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sdb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tdb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_udb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(40.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vdb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wdb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xdb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(40.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ydb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zdb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aeb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(41.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_beb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ceb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_deb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(41.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eeb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_feb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_geb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(41.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_heb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ieb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jeb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_keb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_leb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_meb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_neb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oeb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_peb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qeb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_reb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_seb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_teb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ueb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_veb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(43.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_web",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xeb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yeb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(43.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zeb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_afb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bfb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cfb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dfb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_efb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ffb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gfb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hfb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ifb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jfb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kfb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lfb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mfb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nfb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(45.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ofb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pfb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qfb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(45.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rfb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sfb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tfb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(47.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ufb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vfb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wfb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(48.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xfb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yfb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zfb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(49.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_agb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(51.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bgb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(51.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cgb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(51.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dgb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(52.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_egb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(52.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fgb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(52.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ggb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(52.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hgb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(52.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_igb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(52.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jgb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(52.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kgb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(52.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lgb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(52.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mgb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ngb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ogb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(53.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pgb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qgb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rgb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(53.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sgb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(54.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tgb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(54.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ugb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(54.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vgb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(55.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wgb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(55.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xgb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(55.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ygb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(56.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zgb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(56.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ahb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(56.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bhb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(56.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_chb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(56.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dhb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(56.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ehb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fhb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ghb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(57.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hhb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ihb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jhb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(57.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_khb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lhb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mhb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(58.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nhb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ohb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_phb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(59.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qhb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(60.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rhb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(60.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_shb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(60.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_thb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(60.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uhb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(60.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vhb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(60.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_whb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xhb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yhb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(61.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zhb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aib",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bib",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(62.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cib",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dib",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eib",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(62.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fib",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gib",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hib",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(62.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iib",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jib",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kib",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(63.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lib",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mib",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nib",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(64.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oib",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pib",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qib",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(64.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rib",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(66.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sib",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(66.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tib",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(66.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uib",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(67.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vib",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(67.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wib",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(67.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xib",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(69.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yib",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(69.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zib",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(69.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ajb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(69.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bjb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(69.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cjb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(69.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_djb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(70.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ejb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(70.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fjb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(70.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gjb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(70.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hjb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(70.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ijb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(70.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jjb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kjb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ljb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(71.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mjb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_njb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ojb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(71.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pjb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qjb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rjb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(72.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sjb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tjb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ujb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(72.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vjb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(73.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wjb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(73.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xjb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(73.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yjb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zjb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_akb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(74.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bkb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ckb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dkb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(74.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ekb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fkb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gkb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hkb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ikb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jkb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kkb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lkb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mkb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nkb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_okb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pkb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qkb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rkb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_skb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tkb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ukb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vkb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wkb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xkb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ykb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(83.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zkb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_alb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_blb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(83.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_clb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dlb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_elb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(83.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_flb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_glb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hlb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ilb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jlb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_klb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_llb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mlb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nlb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_olb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_plb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qlb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rlb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_slb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tlb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ulb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vlb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wlb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xlb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ylb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zlb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_amb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bmb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cmb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(86.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dmb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_emb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fmb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(86.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gmb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(87.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hmb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(87.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_imb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(87.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jmb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(87.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kmb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(87.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lmb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(87.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mmb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nmb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_omb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(88.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pmb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qmb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rmb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(88.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_smb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(89.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tmb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(89.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_umb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(89.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vmb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(89.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wmb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(89.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xmb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(89.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ymb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zmb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_anb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(90.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bnb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cnb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dnb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(90.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_enb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fnb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gnb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hnb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_inb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jnb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_knb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lnb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mnb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nnb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_onb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pnb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(92.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qnb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rnb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_snb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(92.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tnb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_unb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vnb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(93.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wnb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xnb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ynb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(93.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_znb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aob",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bob",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(94.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cob",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dob",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eob",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(95.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fob",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gob",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hob",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iob",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_job",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kob",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lob",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(98.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mob",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(98.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nob",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(98.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oob",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pob",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(99.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qob",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rob",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sob",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tob",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uob",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vob",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wob",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(103.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xob",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yob",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zob",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(103.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_apb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bpb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cpb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dpb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_epb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fpb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gpb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hpb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ipb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jpb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kpb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lpb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(105.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mpb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_npb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_opb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(105.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ppb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qpb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rpb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_spb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tpb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_upb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vpb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wpb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xpb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ypb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zpb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aqb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bqb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cqb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dqb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eqb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fqb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gqb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hqb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iqb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jqb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kqb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lqb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mqb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nqb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(108.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oqb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(108.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pqb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(108.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qqb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(109.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rqb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(109.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sqb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(109.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tqb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(110.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uqb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(110.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vqb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(110.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wqb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(110.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xqb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(110.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yqb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(110.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zqb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(110.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_arb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(110.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_brb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(110.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_crb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_drb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_erb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(111.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_frb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(112.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_grb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(112.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hrb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(112.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_irb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jrb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_krb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lrb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mrb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nrb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_orb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_prb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qrb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rrb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_srb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_trb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_urb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vrb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wrb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xrb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yrb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zrb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(115.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_asb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bsb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_csb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(115.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dsb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_esb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fsb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gsb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hsb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_isb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jsb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ksb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lsb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_msb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nsb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_osb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_psb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qsb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rsb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ssb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tsb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_usb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vsb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wsb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xsb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(117.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ysb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zsb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(118.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_atb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_btb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(119.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ctb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(119.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dtb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(119.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_etb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ftb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gtb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_htb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(121.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_itb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(121.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jtb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(121.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ktb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(121.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ltb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(121.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mtb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(121.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ntb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_otb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ptb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qtb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rtb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_stb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ttb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_utb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vtb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wtb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xtb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ytb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ztb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(123.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aub",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(123.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bub",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(123.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cub",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(123.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dub",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(123.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eub",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(123.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fub",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(124.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gub",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(124.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hub",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(124.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iub",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(124.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jub",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(124.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kub",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(124.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lub",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mub",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nub",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oub",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pub",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qub",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(15.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rub",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sub",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tub",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(15.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uub",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vub",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wub",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(16.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xub",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yub",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zub",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(16.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_avb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bvb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cvb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(17.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dvb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_evb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fvb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(17.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gvb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hvb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ivb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(18.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jvb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(19.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kvb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(19.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lvb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(19.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mvb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nvb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ovb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(20.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pvb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qvb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rvb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(20.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_svb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tvb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uvb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(21.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vvb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wvb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xvb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(21.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yvb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(22.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zvb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(22.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_awb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(22.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bwb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(22.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cwb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(22.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dwb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(22.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ewb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(23.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fwb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(23.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gwb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(23.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hwb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(23.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iwb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(23.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jwb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(23.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kwb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(24.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lwb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(24.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mwb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(24.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nwb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_owb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pwb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(25.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qwb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rwb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_swb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(25.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_twb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uwb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vwb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(26.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wwb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xwb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ywb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(26.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zwb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_axb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bxb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(27.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cxb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dxb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_exb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(27.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fxb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gxb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hxb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(28.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ixb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jxb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kxb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(28.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lxb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(29.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mxb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(29.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nxb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(29.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oxb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pxb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qxb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(30.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rxb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sxb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_txb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(30.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uxb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vxb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wxb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(30.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xxb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yxb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zxb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(31.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ayb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_byb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cyb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dyb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eyb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fyb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gyb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hyb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iyb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jyb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kyb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lyb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_myb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nyb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oyb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pyb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qyb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ryb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_syb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tyb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uyb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(38.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vyb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wyb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xyb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(38.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yyb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zyb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_azb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(38.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bzb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_czb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dzb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(38.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ezb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fzb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gzb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(39.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hzb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_izb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jzb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(39.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kzb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lzb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mzb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(39.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nzb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ozb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pzb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(40.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qzb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rzb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_szb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(40.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tzb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uzb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vzb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(41.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wzb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xzb",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yzb",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zzb",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aac",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bac",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cac",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dac",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eac",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fac",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gac",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hac",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iac",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jac",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kac",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lac",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mac",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nac",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(45.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oac",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pac",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qac",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(45.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rac",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sac",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tac",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(47.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uac",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vac",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wac",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(47.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xac",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yac",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zac",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(48.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_abc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bbc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cbc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(49.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dbc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ebc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fbc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(50.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gbc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hbc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ibc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(50.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jbc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(51.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kbc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(51.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lbc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(51.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mbc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(52.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nbc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(52.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_obc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(52.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pbc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qbc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rbc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(53.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sbc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tbc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ubc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(53.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vbc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(55.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wbc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(55.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xbc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(55.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ybc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zbc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_acc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(57.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bcc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ccc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dcc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(58.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ecc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fcc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gcc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(58.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hcc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_icc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jcc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(59.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kcc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lcc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mcc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(59.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ncc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(60.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_occ",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(60.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pcc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(60.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qcc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(60.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rcc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(60.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_scc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(60.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tcc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ucc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vcc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(61.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wcc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xcc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ycc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(61.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zcc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_adc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bdc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(62.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cdc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ddc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_edc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(62.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fdc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gdc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hdc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(63.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_idc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jdc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kdc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(63.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ldc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mdc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ndc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(64.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_odc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(65.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pdc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(65.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qdc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(65.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rdc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(65.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sdc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(65.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tdc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(65.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_udc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(66.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vdc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(66.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wdc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(66.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xdc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(66.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ydc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(66.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zdc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(66.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aec",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(67.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bec",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(67.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cec",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(67.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dec",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(67.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eec",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(67.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fec",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(67.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gec",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(67.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hec",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(67.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iec",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(67.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jec",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(68.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kec",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(68.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lec",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(68.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mec",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(68.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nec",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(68.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oec",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(68.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pec",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(68.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qec",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(68.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rec",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(68.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sec",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(69.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tec",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(69.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uec",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(69.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vec",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(69.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wec",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(69.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xec",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(69.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yec",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(70.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zec",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(70.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_afc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(70.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bfc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(70.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cfc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(70.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dfc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(70.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_efc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ffc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gfc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(71.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hfc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ifc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jfc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(71.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kfc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lfc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mfc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(71.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nfc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ofc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pfc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(72.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qfc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rfc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sfc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(72.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tfc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ufc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vfc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(72.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wfc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(73.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xfc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(73.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yfc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(73.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zfc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(73.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_agc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(73.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bgc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(73.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cgc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dgc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_egc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(74.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fgc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ggc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hgc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(74.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_igc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(75.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jgc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(75.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kgc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(75.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lgc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(75.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mgc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(75.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ngc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(75.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ogc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pgc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qgc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rgc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sgc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tgc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ugc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vgc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wgc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xgc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ygc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zgc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ahc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bhc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_chc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dhc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ehc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fhc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ghc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hhc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ihc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(83.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jhc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_khc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lhc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(83.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mhc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nhc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ohc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_phc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qhc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rhc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_shc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_thc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uhc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vhc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_whc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xhc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yhc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zhc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aic",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bic",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cic",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dic",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(86.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eic",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fic",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gic",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(86.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hic",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(87.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iic",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(87.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jic",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(87.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kic",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(87.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lic",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(87.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mic",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(87.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nic",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oic",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pic",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(88.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qic",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ric",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sic",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(88.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tic",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(89.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uic",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(89.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vic",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(89.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wic",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(89.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xic",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(89.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yic",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(89.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zic",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ajc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bjc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(90.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cjc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_djc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ejc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(90.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fjc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gjc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hjc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(90.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ijc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jjc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kjc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ljc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mjc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_njc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ojc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pjc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qjc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rjc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sjc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tjc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(92.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ujc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vjc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wjc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(92.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xjc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yjc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zjc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(93.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_akc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bkc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ckc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(93.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dkc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ekc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fkc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(94.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gkc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hkc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ikc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(94.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jkc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kkc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lkc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(95.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mkc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nkc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_okc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(95.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pkc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qkc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rkc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_skc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tkc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(98.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ukc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vkc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wkc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(99.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xkc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ykc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zkc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_alc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_blc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_clc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dlc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_elc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_flc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_glc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(103.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hlc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ilc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jlc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(103.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_klc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_llc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mlc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nlc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_olc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_plc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qlc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rlc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_slc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tlc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ulc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vlc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(105.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wlc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xlc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ylc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(105.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zlc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_amc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bmc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(105.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cmc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dmc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_emc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fmc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gmc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hmc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_imc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jmc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kmc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lmc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mmc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nmc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_omc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pmc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qmc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rmc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_smc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tmc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_umc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(108.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vmc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(108.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wmc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(108.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xmc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(109.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ymc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(109.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zmc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(109.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_anc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(109.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bnc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(109.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cnc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(109.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dnc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_enc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fnc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(111.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gnc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hnc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_inc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(111.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jnc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_knc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lnc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(111.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mnc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nnc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_onc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(111.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pnc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(112.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qnc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(112.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rnc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(112.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_snc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tnc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_unc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vnc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wnc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xnc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ync",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_znc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aoc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_boc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_coc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_doc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eoc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_foc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_goc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hoc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ioc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_joc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_koc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_loc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_moc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_noc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ooc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_poc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qoc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_roc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_soc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(115.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_toc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uoc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_voc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(115.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_woc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xoc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yoc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zoc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_apc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bpc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cpc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dpc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_epc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fpc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gpc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hpc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(117.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ipc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jpc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kpc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lpc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mpc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_npc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(120.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_opc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ppc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qpc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rpc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_spc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tpc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_upc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vpc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wpc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xpc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ypc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zpc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aqc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(123.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bqc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(123.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cqc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(123.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dqc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(123.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eqc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(123.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fqc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(123.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gqc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(124.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hqc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(124.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iqc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(124.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jqc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(124.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kqc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(124.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lqc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(124.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mqc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nqc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oqc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pqc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(14.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qqc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(14.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rqc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(14.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sqc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tqc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uqc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(15.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vqc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wqc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xqc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(16.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yqc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zqc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_arc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(17.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_brc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_crc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_drc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(18.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_erc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_frc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_grc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(18.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hrc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(19.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_irc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(19.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jrc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(19.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_krc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lrc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mrc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(20.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nrc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_orc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_prc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(21.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qrc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(22.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rrc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(22.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_src",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(22.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_trc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(23.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_urc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(23.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vrc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(23.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wrc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(24.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xrc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(24.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yrc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(24.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zrc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_asc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bsc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(25.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_csc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dsc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_esc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(26.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fsc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gsc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hsc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(26.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_isc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jsc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ksc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(27.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lsc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_msc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nsc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(27.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_osc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_psc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qsc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(28.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rsc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ssc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tsc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(28.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_usc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(29.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vsc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(29.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wsc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(29.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xsc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ysc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zsc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(30.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_atc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_btc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ctc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(30.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dtc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_etc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ftc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(31.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gtc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_htc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_itc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(31.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jtc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ktc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ltc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(31.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mtc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ntc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_otc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(31.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ptc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qtc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(34.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rtc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_stc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ttc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_utc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(37.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vtc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wtc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xtc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(37.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ytc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ztc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_auc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(38.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_buc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cuc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_duc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(38.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_euc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fuc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_guc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(39.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_huc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iuc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_juc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(39.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kuc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_luc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_muc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(39.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nuc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ouc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_puc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(40.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_quc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ruc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_suc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(40.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tuc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uuc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vuc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(41.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wuc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xuc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yuc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(41.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zuc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_avc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bvc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(41.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cvc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dvc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_evc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(42.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fvc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gvc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hvc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ivc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jvc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kvc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lvc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mvc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nvc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ovc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pvc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qvc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rvc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_svc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tvc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(44.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uvc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vvc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wvc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(44.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xvc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yvc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zvc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(45.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_awc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bwc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cwc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(45.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dwc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ewc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fwc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(45.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gwc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(46.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hwc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(46.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iwc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(46.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jwc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(46.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kwc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(46.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lwc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(46.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mwc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nwc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_owc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(47.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pwc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qwc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rwc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(47.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_swc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_twc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uwc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(47.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vwc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wwc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xwc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(48.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ywc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zwc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_axc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(48.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bxc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cxc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dxc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(49.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_exc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fxc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gxc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(49.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hxc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ixc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jxc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kxc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lxc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mxc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nxc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oxc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pxc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qxc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rxc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sxc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_txc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(51.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uxc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(51.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vxc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(51.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wxc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xxc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yxc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(53.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zxc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(56.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ayc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(56.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_byc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(56.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cyc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dyc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eyc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(57.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fyc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gyc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hyc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(57.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iyc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jyc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kyc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(58.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lyc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_myc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nyc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(58.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oyc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pyc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qyc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(59.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ryc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_syc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tyc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(59.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uyc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vyc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wyc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(59.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xyc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yyc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zyc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(61.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_azc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bzc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_czc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(61.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dzc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ezc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fzc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gzc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hzc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_izc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jzc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kzc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lzc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mzc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nzc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ozc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pzc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qzc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rzc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(63.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_szc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tzc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uzc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(63.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vzc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wzc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xzc",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(63.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yzc",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(65.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zzc",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(65.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aad",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(65.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bad",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(65.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cad",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(65.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dad",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(65.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ead",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fad",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gad",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(71.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_had",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iad",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jad",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(72.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kad",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lad",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mad",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(72.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nad",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(73.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oad",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(73.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pad",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(73.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qad",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(73.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rad",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(73.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sad",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(73.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tad",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uad",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vad",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(74.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wad",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(75.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xad",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(75.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yad",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(75.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zad",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_abd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bbd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(81.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cbd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dbd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ebd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(81.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fbd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gbd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hbd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(82.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ibd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jbd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kbd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(82.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lbd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mbd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nbd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_obd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pbd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qbd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rbd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sbd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tbd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ubd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vbd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wbd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(84.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xbd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ybd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zbd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(84.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_acd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bcd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ccd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dcd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ecd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fcd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gcd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hcd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_icd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(86.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jcd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kcd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lcd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(86.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mcd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ncd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ocd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(86.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pcd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qcd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rcd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(88.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_scd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(89.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tcd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(89.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ucd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(89.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vcd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wcd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xcd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(91.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ycd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zcd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_add",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(91.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bdd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cdd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ddd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(92.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_edd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fdd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gdd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(92.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hdd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_idd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jdd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(93.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kdd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ldd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mdd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(93.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ndd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_odd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pdd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(94.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qdd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rdd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sdd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(94.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tdd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_udd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vdd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(94.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wdd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xdd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ydd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(95.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zdd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aed",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bed",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(95.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ced",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ded",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eed",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fed",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ged",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(98.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hed",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ied",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jed",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(99.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ked",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_led",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_med",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ned",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oed",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ped",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qed",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_red",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sed",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ted",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(103.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ued",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ved",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wed",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(103.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xed",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yed",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zed",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(104.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_afd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bfd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cfd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(104.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dfd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_efd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ffd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gfd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hfd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ifd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jfd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kfd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lfd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mfd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nfd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ofd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(106.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pfd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qfd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rfd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(106.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sfd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tfd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ufd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(106.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vfd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wfd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xfd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(107.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yfd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zfd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_agd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(107.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bgd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(108.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cgd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(108.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dgd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(108.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_egd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fgd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ggd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(111.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hgd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(112.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_igd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(112.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jgd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(112.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kgd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lgd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mgd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(113.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ngd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ogd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pgd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(113.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qgd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rgd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sgd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(113.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tgd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ugd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vgd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(114.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wgd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xgd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ygd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zgd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ahd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bhd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_chd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dhd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ehd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fhd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ghd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hhd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ihd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jhd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_khd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lhd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mhd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nhd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ohd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_phd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qhd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(116.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rhd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_shd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_thd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(117.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uhd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(119.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vhd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(119.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_whd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(119.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xhd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(119.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yhd",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(119.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zhd",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(119.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aid",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bid",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cid",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_did",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eid",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fid",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(120.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gid",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hid",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iid",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(122.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jid",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kid",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lid",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(122.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mid",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nid",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oid",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(122.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pid",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qid",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rid",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(125.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sid",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tid",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uid",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vid",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(22.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wid",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(46.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xid",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(47.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yid",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(50.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zid",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(51.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ajd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(53.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(54.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(55.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_djd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(66.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ejd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(68.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(73.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(75.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(93.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ijd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(94.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(96.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(97.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ljd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(98.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(99.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_njd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ojd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(112.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(113.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(117.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(118.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ujd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(120.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(123.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(124.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(12.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zjd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(46.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_akd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(48.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(51.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ckd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(52.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(54.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ekd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(54.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(64.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(74.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(76.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ikd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(92.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(94.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(95.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(96.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(98.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_okd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(99.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(112.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(116.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_skd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(118.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(119.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ukd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(121.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(123.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wkd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(124.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xkd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ykd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(46.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zkd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(48.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ald",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(49.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(51.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(52.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(52.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(54.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(54.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(55.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(66.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ild",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(74.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1RotateCW');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(76.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(92.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(94.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(95.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(96.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_old",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(96.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(98.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(98.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(99.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(100.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(112.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(116.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(118.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zld",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(119.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_amd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(120.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(121.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(121.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(123.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_emd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(124.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(46.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(48.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(52.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_imd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(54.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(55.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(65.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(92.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(94.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(96.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_omd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(98.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(100.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_smd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(112.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_umd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(119.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(121.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ymd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(121.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zmd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(123.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_and",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(124.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(46.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(47.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(50.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_end",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(54.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(66.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(75.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(75.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ind",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(76.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(93.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_knd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(95.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ond",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(112.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(113.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(118.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(119.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_snd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(123.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(124.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_und",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(46.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(47.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(50.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xnd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(51.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ynd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(53.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_znd",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(54.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(66.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(73.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(75.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(75.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(76.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(93.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_god",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(94.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(95.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(96.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(97.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(98.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(99.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1RotateCCW');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ood",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(112.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(113.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(117.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(118.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(119.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(120.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(123.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wod",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P1SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p1_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(124.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xod",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(46.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yod",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(48.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zod",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(49.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_apd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(51.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(52.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(52.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(54.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_epd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(54.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(55.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(66.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(74.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ipd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(92.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(94.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(95.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(96.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(96.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_npd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_opd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(98.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ppd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(98.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(99.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(100.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_spd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(112.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_upd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(116.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(118.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(119.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ypd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(120.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zpd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(121.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(121.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(123.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(124.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(46.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(48.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(52.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(54.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(55.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(65.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(92.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(94.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(96.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(98.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(100.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(112.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(119.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(121.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(121.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(123.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(124.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zqd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(46.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ard",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(47.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_brd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(50.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_crd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(54.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_drd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(66.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_erd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(75.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_frd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(75.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_grd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(76.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(93.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ird",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(95.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_krd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(112.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(113.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ord",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(118.769231/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_prd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(119.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(123.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(124.615385/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_srd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(46.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_trd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(47.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_urd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(50.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(51.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(53.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(54.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(66.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zrd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(73.846154/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_asd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(75.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bsd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(75.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_csd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(76.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dsd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(93.230769/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_esd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(94.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fsd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(95.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gsd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(96.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hsd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(97.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_isd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(98.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jsd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(99.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ksd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lsd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(112.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_msd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(113.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nsd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(117.692308/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_osd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(118.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_psd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(119.076923/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qsd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rsd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(120.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ssd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(123.538462/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tsd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p1_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(124.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_usd",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 2.461538 * lane_length / p1_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p1_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P1RightHold8');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p1_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 2.461538 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(-270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vsd",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 2.461538 * lane_length / p1_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p1_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P1LeftHold8');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p1_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 2.461538 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(12.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wsd",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 1.846154 * lane_length / p1_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p1_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P1LeftHold6');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p1_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 1.846154 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(64.000000/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xsd",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 4.923077 * lane_length / p1_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p1_travel_time);
              self:addz(hold_height);
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p1_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 4.923077 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(76.307692/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ysd",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 2.461538 * lane_length / p1_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p1_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P1RightHold8');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p1_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 2.461538 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(-270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(22.153846/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zsd",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 1.230769 * lane_length / p1_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p1_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P1RightHold4');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p1_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 1.230769 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(-270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(55.384615/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_atd",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 2.461538 * lane_length / p1_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p1_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P1RightHold8');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p1_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 2.461538 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(-270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(68.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_btd",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 2.461538 * lane_length / p1_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p1_travel_time);
              self:addz(hold_height);
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p1_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 2.461538 * lane_length / p1_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(-270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p1_travel_time + offset);queuecommand,"Move"),
      },
    },
    Def.ActorFrame{
      Name= "xtl_actor_ctd",
    InitCommand= cmd(fov,90;x,P1_CENTER;y,SCREEN_CENTER_Y + 70),
    P1LeftHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1LeftHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1LeftHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RotateCCWMessageCommand= cmd(stoptweening;decelerate,beat_length*2.75/rate_mod;rotationz,-15;accelerate,beat_length*3.75/rate_mod;rotationz,7;
                                linear,beat_length*1.5/rate_mod;rotationz,0),
    P1RotateCWMessageCommand= cmd(stoptweening;decelerate,beat_length*2.75/rate_mod;rotationz,15;accelerate,beat_length*3.75/rate_mod;rotationz,-7;
                                linear,beat_length*9.5/rate_mod;rotationz,0),
    P1SharpLeftMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,-tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    P1SharpRightMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,tilt_angle;linear,beat_length/rate_mod;rotationz,0),
      Def.Sprite{
        Name= "xtl_actor_dtd",
      OnCommand= cmd(queuecommand,"Wait"),
      SetupCommand= cmd(visible,1;zoom,0;x,SCREEN_CENTER_X + -434;y,SCREEN_CENTER_Y + -203;linear,beat_length*10/rate_mod;zoom,1),
      Texture= "graphics/line_bg.png",
      WaitCommand= cmd(visible,0;cropleft,0.5;sleep,beat_length*16/rate_mod;queuecommand,"Setup"),
      },
      Def.Sprite{
        Name= "xtl_actor_etd",
      OnCommand= cmd(queuecommand,"Wait"),
      SetupCommand= cmd(visible,1;zoom,0;x,SCREEN_CENTER_X + -206;y,SCREEN_CENTER_Y + -203;linear,beat_length*10/rate_mod;zoom,1),
      Texture= "graphics/line_bg.png",
      WaitCommand= cmd(visible,0;cropright,0.5;sleep,beat_length*16/rate_mod;queuecommand,"Setup"),
      },
      Def.Sprite{
        Name= "xtl_actor_ftd",
      OnCommand= cmd(queuecommand,"Wait"),
      SetupCommand= cmd(visible,1;sleep,0;zoom,0.5;x,SCREEN_CENTER_X + -478;y,SCREEN_CENTER_Y + -203;texcoordvelocity,beat_length*rate_mod,0),
      Texture= "graphics/line_words",
      WaitCommand= cmd(visible,0;cropleft,0.5;sleep,beat_length*26/rate_mod;queuecommand,"Setup"),
      },
      Def.Sprite{
        Name= "xtl_actor_gtd",
      OnCommand= cmd(queuecommand,"Wait"),
      SetupCommand= cmd(visible,1;sleep,0;zoom,0.5;x,SCREEN_CENTER_X + -162;y,SCREEN_CENTER_Y + -203;texcoordvelocity,-beat_length*rate_mod,0),
      Texture= "graphics/line_words",
      WaitCommand= cmd(visible,0;cropright,0.5;sleep,beat_length*26/rate_mod;queuecommand,"Setup"),
      },
      Def.Sprite{
        Name= "xtl_actor_htd",
      InitCommand= cmd(zoom,0.36;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -205),
      Texture= "graphics/line.png",
      },
      Def.Sprite{
        Name= "xtl_actor_itd",
      InitCommand= cmd(zoom,0.32;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -162),
      P1LeftHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;x,-shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P1LeftHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;x,-shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P1LeftHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;x,-shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P1RightHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;x,shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P1RightHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;x,shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P1RightHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;x,shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P1SharpLeftMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;x,-shift_amount;linear,beat_length/rate_mod;x,SCREEN_CENTER_X + -320),
      P1SharpRightMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;x,shift_amount;linear,beat_length/rate_mod;x,SCREEN_CENTER_X + -320),
      Texture= "graphics/io_front.png",
      },
      Def.Sprite{
        Name= "xtl_actor_jtd",
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -140;cropleft,0.1;cropright,0.1),
      Texture= "graphics/io_main.png",
      },
    },
    Def.Sprite{
      Name= "xtl_actor_ktd",
    InitCommand= cmd(zoom,0.38;x,P1_CENTER;y,SCREEN_CENTER_Y + -130),
    Texture= "graphics/angle_01.png",
    },
    Def.Sprite{
      Name= "xtl_actor_ltd",
    InitCommand= cmd(zoom,0.38;x,P1_CENTER;y,SCREEN_CENTER_Y + -120),
    P1LeftHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1LeftHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1LeftHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RightHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P1RotateCCWMessageCommand= cmd(stoptweening;decelerate,beat_length*2.75/rate_mod;rotationz,-15;accelerate,beat_length*3.75/rate_mod;rotationz,7;
                                linear,beat_length*1.5/rate_mod;rotationz,0),
    P1RotateCWMessageCommand= cmd(stoptweening;decelerate,beat_length*2.75/rate_mod;rotationz,15;accelerate,beat_length*3.75/rate_mod;rotationz,-7;
                                linear,beat_length*9.5/rate_mod;rotationz,0),
    P1SharpLeftMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,-tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    P1SharpRightMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    Texture= "graphics/angle_02.png",
    },
    Def.ActorFrame{
      Name= "xtl_actor_mtd",
    InitCommand= function(self)
          p1_cur_score = 0;
          p1_prev_score = 0;

          p1_cur_combo = 0;
          p1_max_combo = 0;

          p1_is_on = false;
        end,
      Def.Sprite{
        Name= "xtl_actor_ntd",
      OnCommand= cmd(queuecommand,"UpdateCombo"),
      UpdateComboCommand= function(self)

              if SCREENMAN:GetTopScreen():GetChild('ScoreP1'):GetChild('ScoreDisplayPercentage Percent'):GetChild('PercentP1') then
                p1_cur_score = tonumber( string.sub( SCREENMAN:GetTopScreen():GetChild('ScoreP1'):GetChild('ScoreDisplayPercentage Percent'):GetChild('PercentP1'):GetText(), 1, -2 )*100 );
              end

              -- Fantastics, Excellents, and Greats add to combo
              -- Decents do nothing (because they don't change score)
              -- Way Offs and Misses reset combo
              if (p1_cur_score - p1_prev_score) > 0 then
                p1_cur_combo = p1_cur_combo + 1;
                
                if p1_cur_combo > p1_max_combo then
                  p1_max_combo = p1_cur_combo;
                  MESSAGEMAN:Broadcast('P1UpdateMaxCombo');
                end

                MESSAGEMAN:Broadcast('P1UpdateCurCombo');

              elseif (p1_cur_score - p1_prev_score) < 0 then
                p1_cur_combo = 0;

                MESSAGEMAN:Broadcast('P1BrokeCombo');
                MESSAGEMAN:Broadcast('P1UpdateCurCombo');
              end

              p1_prev_score = p1_cur_score;

              if not p1_is_on then
                if p1_cur_combo >= 50 then
                  p1_is_on = true;
                  MESSAGEMAN:Broadcast('P1TurnOn');
                end
              end

              if p1_is_on then
                if p1_cur_combo < 50 then
                  p1_is_on = false;
                  MESSAGEMAN:Broadcast('P1TurnOff');
                end
              end

              self:sleep(0.05);
              self:queuecommand('UpdateCombo');            
            end,
      },
      Def.Sprite{
        Name= "xtl_actor_otd",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P1_CENTER-56;y,SCREEN_CENTER_Y-122),
      OnCommand= cmd(queuecommand,"SetBPM"),
      SetBPMCommand= function(self)
              local str_tempo = string.format('%03d', math.floor(tempo * rate_mod + 0.5));
              local digit = string.sub(str_tempo, 1, 1);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_ptd",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P1_CENTER-51;y,SCREEN_CENTER_Y-122),
      OnCommand= cmd(queuecommand,"SetBPM"),
      SetBPMCommand= function(self)
              local str_tempo = string.format('%03d', math.floor(tempo * rate_mod + 0.5));
              local digit = string.sub(str_tempo, 2, 2);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_qtd",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P1_CENTER-46;y,SCREEN_CENTER_Y-122),
      OnCommand= cmd(queuecommand,"SetBPM"),
      SetBPMCommand= function(self)
              local str_tempo = string.format('%03d', math.floor(tempo * rate_mod + 0.5));
              local digit = string.sub(str_tempo, 3, 3);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_rtd",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.39;x,P1_CENTER-54;y,SCREEN_CENTER_Y-114),
      OnCommand= cmd(queuecommand,"SetBPM"),
      SetBPMCommand= function(self)
              local str_speed_mod = string.format('%02d', math.floor(GetSpeedMod(1) * 10 + 0.5));
              local digit = string.sub(str_speed_mod, 1, 1);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_std",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.39;x,P1_CENTER-45;y,SCREEN_CENTER_Y-114),
      OnCommand= cmd(queuecommand,"SetBPM"),
      SetBPMCommand= function(self)
              local str_speed_mod = string.format('%02d', math.floor(GetSpeedMod(1) * 10 + 0.5));
              local digit = string.sub(str_speed_mod, 2, 2);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_ttd",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.42;x,P1_CENTER+47;y,SCREEN_CENTER_Y-113),
      P1UpdateMaxComboMessageCommand= function(self)
              local str_max_combo = string.format('%04d', p1_max_combo);
              local digit = string.sub(str_max_combo, 1, 1);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_utd",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.42;x,P1_CENTER+54;y,SCREEN_CENTER_Y-113),
      P1UpdateMaxComboMessageCommand= function(self)
              local str_max_combo = string.format('%04d', p1_max_combo);
              local digit = string.sub(str_max_combo, 2, 2);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_vtd",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.42;x,P1_CENTER+61;y,SCREEN_CENTER_Y-113),
      P1UpdateMaxComboMessageCommand= function(self)
              local str_max_combo = string.format('%04d', p1_max_combo);
              local digit = string.sub(str_max_combo, 3, 3);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_wtd",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.42;x,P1_CENTER+68;y,SCREEN_CENTER_Y-113),
      P1UpdateMaxComboMessageCommand= function(self)
              local str_max_combo = string.format('%04d', p1_max_combo);
              local digit = string.sub(str_max_combo, 4, 4);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_xtd",
      InitCommand= cmd(diffuse,240/255,240/255,150/255,1;zoom,0.38;x,P1_CENTER;y,SCREEN_CENTER_Y+30),
      P1BrokeComboMessageCommand= cmd(diffusecolor,1,1,1,1),
      Texture= "graphics/chain.png",
      },
      Def.Sprite{
        Name= "xtl_actor_ytd",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
          {Frame= 10, Delay= 130},
      },
      InitCommand= cmd(diffuse,240/255,240/255,150/255,1;setstate,10;zoom,0.42;x,P1_CENTER-30;y,SCREEN_CENTER_Y+45),
      P1BrokeComboMessageCommand= cmd(diffuse,1,1,1,1;setstate,10),
      P1UpdateCurComboMessageCommand= function(self)
              if p1_cur_combo >= 1000 then
                local str_cur_combo = string.format('%04d', p1_cur_combo);
                local digit = string.sub(str_cur_combo, 1, 1);
                self:setstate(tonumber(digit));
              end
            end,
      Texture= "graphics/combo 11x1",
      },
      Def.Sprite{
        Name= "xtl_actor_ztd",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
          {Frame= 10, Delay= 130},
      },
      InitCommand= cmd(diffuse,240/255,240/255,150/255,1;setstate,10;zoom,0.42;x,P1_CENTER-10;y,SCREEN_CENTER_Y+45),
      P1BrokeComboMessageCommand= cmd(diffuse,1,1,1,1;setstate,10),
      P1UpdateCurComboMessageCommand= function(self)
              if p1_cur_combo >= 100 then
                local str_cur_combo = string.format('%04d', p1_cur_combo);
                local digit = string.sub(str_cur_combo, 2, 2);
                self:setstate(tonumber(digit));
              end
            end,
      Texture= "graphics/combo 11x1",
      },
      Def.Sprite{
        Name= "xtl_actor_aud",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
          {Frame= 10, Delay= 130},
      },
      InitCommand= cmd(diffuse,240/255,240/255,150/255,1;setstate,10;zoom,0.42;x,P1_CENTER+10;y,SCREEN_CENTER_Y+45),
      P1BrokeComboMessageCommand= cmd(diffuse,1,1,1,1;setstate,10),
      P1UpdateCurComboMessageCommand= function(self)
              if p1_cur_combo >= 10 then
                local str_cur_combo = string.format('%04d', p1_cur_combo);
                local digit = string.sub(str_cur_combo, 3, 3);
                self:setstate(tonumber(digit));
              end
            end,
      Texture= "graphics/combo 11x1",
      },
      Def.Sprite{
        Name= "xtl_actor_bud",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
          {Frame= 10, Delay= 130},
      },
      InitCommand= cmd(diffuse,240/255,240/255,150/255,1;setstate,10;zoom,0.42;x,P1_CENTER+30;y,SCREEN_CENTER_Y+45),
      P1BrokeComboMessageCommand= cmd(diffuse,1,1,1,1;setstate,10),
      P1UpdateCurComboMessageCommand= function(self)
              if p1_cur_combo ~= 0 then
                local str_cur_combo = string.format('%04d', p1_cur_combo);
                local digit = string.sub(str_cur_combo, 4, 4);
                self:setstate(tonumber(digit));
              end
            end,
      Texture= "graphics/combo 11x1",
      },
      Def.Sprite{
        Name= "xtl_actor_cud",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P1_CENTER+50;y,SCREEN_CENTER_Y-129),
      P1UpdateCurComboMessageCommand= function(self)
              local str_score = string.format('%05d', p1_cur_score);
              local digit = string.sub(str_score, 1, 1);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/big_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_dud",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P1_CENTER+61;y,SCREEN_CENTER_Y-129),
      P1UpdateCurComboMessageCommand= function(self)
              local str_score = string.format('%05d', p1_cur_score);
              local digit = string.sub(str_score, 2, 2);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/big_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_eud",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P1_CENTER+72;y,SCREEN_CENTER_Y-129),
      P1UpdateCurComboMessageCommand= function(self)
              local str_score = string.format('%05d', p1_cur_score);
              local digit = string.sub(str_score, 3, 3);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/big_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_fud",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P1_CENTER+83;y,SCREEN_CENTER_Y-129),
      P1UpdateCurComboMessageCommand= function(self)
              local str_score = string.format('%05d', p1_cur_score);
              local digit = string.sub(str_score, 4, 4);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/big_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_gud",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P1_CENTER+94;y,SCREEN_CENTER_Y-129),
      P1UpdateCurComboMessageCommand= function(self)
              local str_score = string.format('%05d', p1_cur_score);
              local digit = string.sub(str_score, 5, 5);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/big_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_hud",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P1_CENTER+105;y,SCREEN_CENTER_Y-128;queuecommand,"RandScore"),
      RandScoreCommand= function(self)
              local str_score = string.format('%05d', p1_cur_score);
              if GAMESTATE:GetSongBeat() >= 40 then
                if GAMESTATE:GetSongBeat() <= 408 then
                  if string.sub(str_score, 1, 1) == '1' then
                    digit = '0';
                  else
                    digit = tostring(math.random(0,9));
                  end
                  self:setstate(tonumber(digit));
                end
              else
                digit = '0';
                self:setstate(tonumber(digit));
              end
              self:sleep(0.05);
              self:queuecommand('RandScore');
            end,
      Texture= "graphics/small_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_iud",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P1_CENTER+116;y,SCREEN_CENTER_Y-128;queuecommand,"RandScore"),
      RandScoreCommand= function(self)
              local str_score = string.format('%05d', p1_cur_score);
              if GAMESTATE:GetSongBeat() >= 40 then
                if GAMESTATE:GetSongBeat() <= 408 then
                  if string.sub(str_score, 1, 1) == '1' then
                    digit = '0';
                  else
                    digit = tostring(math.random(0,9));
                  end
                  self:setstate(tonumber(digit));
                end
              else
                digit = '0';
                self:setstate(tonumber(digit));
              end
              self:sleep(0.05);
              self:queuecommand('RandScore');
            end,
      Texture= "graphics/small_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_jud",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P1_CENTER+127;y,SCREEN_CENTER_Y-128;queuecommand,"RandScore"),
      RandScoreCommand= function(self)
              local str_score = string.format('%05d', p1_cur_score);
              if GAMESTATE:GetSongBeat() >= 40 then
                if GAMESTATE:GetSongBeat() <= 408 then
                  if string.sub(str_score, 1, 1) == '1' then
                    digit = '0';
                  else
                    digit = tostring(math.random(0,9));
                  end
                  self:setstate(tonumber(digit));
                end
              else
                digit = '0';
                self:setstate(tonumber(digit));
              end
              self:sleep(0.05);
              self:queuecommand('RandScore');
            end,
      Texture= "graphics/small_score 10x1",
      },
    },
    Def.Sprite{
      Name= "xtl_actor_kud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,19.692308/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_lud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,43.692308/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_mud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,45.230769/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_nud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,47.692308/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_oud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,48.923077/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_pud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,51.230769/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_qud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,52.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_rud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,52.923077/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_sud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,63.846154/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_tud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,66.461538/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_uud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,71.384615/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_vud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,72.615385/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_wud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,90.769231/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_xud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,92.461538/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_yud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,93.846154/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_zud",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,94.923077/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_avd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,95.692308/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_bvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,96.923077/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_cvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,97.846154/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_dvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,98.461538/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_evd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,109.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_fvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,110.615385/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_gvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,115.230769/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_hvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,116.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_ivd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,117.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_jvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,118.461538/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_kvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,121.076923/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_lvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,122.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_mvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,9.846154/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_nvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,32.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_ovd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,44.153846/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_pvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,46.307692/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_qvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,48.769231/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_rvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,50.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_svd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,51.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_tvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,52.307692/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_uvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,61.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_vvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,72.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_wvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,73.846154/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_xvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,89.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_yvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,92.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_zvd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,93.230769/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_awd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,94.153846/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_bwd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,95.384615/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_cwd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,96.153846/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_dwd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,97.384615/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_ewd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,98.153846/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_fwd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,110.153846/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_gwd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,114.461538/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_hwd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,115.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_iwd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,117.076923/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_jwd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,118.769231/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_kwd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,120.615385/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_lwd",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P1_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,121.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_mwd",
    InitCommand= cmd(zoom,0.375;x,P1_CENTER;y,SCREEN_CENTER_Y + -197),
    Texture= "graphics/marquee.png",
    },
    Def.Sprite{
      Name= "xtl_actor_nwd",
    InitCommand= cmd(zoom,0.375;x,P1_CENTER+104;y,SCREEN_CENTER_Y-28),
    Texture= "graphics/life_info.png",
    },
    Def.Sprite{
      Name= "xtl_actor_owd",
    InitCommand= cmd(zoom,0.375;x,P1_CENTER+88;y,SCREEN_CENTER_Y-127),
    Texture= "graphics/score_info.png",
    },
    Def.Sprite{
      Name= "xtl_actor_pwd",
    InitCommand= cmd(zoom,0.375;x,P1_CENTER-92;y,SCREEN_CENTER_Y-6),
    Texture= "graphics/player_info.png",
    },
    Def.Sprite{
      Name= "xtl_actor_qwd",
    InitCommand= cmd(zoom,0.375;x,P1_CENTER-88;y,SCREEN_CENTER_Y-127),
    Texture= "graphics/track_info.png",
    },
    Def.Sprite{
      Name= "xtl_actor_rwd",
    InitCommand= cmd(zoom,0.375;x,P1_CENTER+102;y,SCREEN_CENTER_Y-112),
    Texture= "graphics/max_chain.png",
    },
  }),
  optional_actor(xtl_cond_b_result,
  Def.ActorFrame{
    Name= "xtl_actor_swd",
  InitCommand= cmd(queuecommand,"SetupPlayer"),
  SetupPlayerCommand= function(self)
      -- Get Player 2's Speed Mod
      local speed_mod = GetSpeedMod(2)
      p2_travel_time = (beat_length * 8)/(speed_mod);
      
      self:SetDrawByZPosition(true);

      local p2_playfield = SCREENMAN:GetTopScreen():GetChild('PlayerP2');

      if p2_playfield then
        GAMESTATE:ApplyGameCommand('mod, *10000 no mini', 2);

        p2_playfield:SetDrawByZPosition(true);
        p2_playfield:x(SCREEN_WIDTH + 10000);
        p2_playfield:y(360);
        p2_playfield:z(10);
        p2_playfield:visible(1);

        p2_playfield:GetChild('Judgment'):GetChild(''):Load(song_path .. 'animations/graphics/judgment 2x6.png')
        p2_playfield:GetChild('Judgment'):x(-(10000 + 160 + (SCREEN_CENTER_X-135-185)));
        p2_playfield:GetChild('Combo'):visible(0);
      end

      local p2_life = SCREENMAN:GetTopScreen():GetChild('LifeP2');

      if p2_life then
          p2_life:zoomto(0.45, 114/p2_life:GetChild('Background'):GetWidth());
          p2_life:x(P2_CENTER + 80);
          p2_life:y(SCREEN_CENTER_Y-28);
          p2_life:z(1000);
          p2_life:rotationx(180);
          p2_life:rotationz(90);
          p2_life:diffusealpha(0);
      end

      if SCREENMAN:GetTopScreen():GetChild('ScoreP2') then
        SCREENMAN:GetTopScreen():GetChild('ScoreP2'):visible(0);
      end
    end,
    Def.ActorFrame{
      Name= "xtl_actor_twd",
    InitCommand= function(self)
          length = 40

          self:fov(90);
          self:x(P2_CENTER);
          self:y(160);
        end,
    P2LeftHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2LeftHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2LeftHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RotateCCWMessageCommand= cmd(stoptweening;decelerate,beat_length*6.5/rate_mod;rotationz,-720+7;sleep,0;rotationz,7;linear,beat_length*1.5/rate_mod;rotationz,0),
    P2RotateCWMessageCommand= cmd(stoptweening;decelerate,beat_length*6.5/rate_mod;rotationz,720-7;sleep,0;rotationz,-7;linear,beat_length*9.5/rate_mod;rotationz,0),
    P2SharpLeftMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,-tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    P2SharpRightMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    VanishX= P2_CENTER,
    VanishY= 150,
      Def.Sprite{
        Name= "xtl_actor_uwd",
      InitCommand= cmd(zoom,0.1;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;blend,"BlendMode_Add"),
      P2TurnOnMessageCommand= cmd(linear,beat_length/rate_mod;zoom,2.2;sleep,0;zoom,0.1),
      Texture= "graphics/warp_change.png",
      },
      Def.Sprite{
        Name= "xtl_actor_vwd",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 45;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) ); 

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_no_top_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_wwd",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 90;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_no_mid_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_xwd",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 135;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_no_bot_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_ywd",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 225;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );
              self:croptop(0.01);         

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4);
            end,
      Texture= "graphics/tex_dome_no_bot.png",
      },
      Def.Sprite{
        Name= "xtl_actor_zwd",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 270;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );
              self:croptop(0.05);

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_no_mid.png",
      },
      Def.Sprite{
        Name= "xtl_actor_axd",
      InitCommand= cmd(visible,1;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      SetupCommand= function(self)
              local theta = 315;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );
              self:croptop(0.01);

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_no_top.png",
      },
      Def.Sprite{
        Name= "xtl_actor_bxd",
      InitCommand= cmd(visible,1;zoom,0.38;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -250;z,50;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_cxd",
      InitCommand= cmd(visible,1;zoom,0.4;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -240;z,50;sleep,0.3;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_dxd",
      InitCommand= cmd(visible,1;zoom,0.1;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -253;z,50;sleep,0.05;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_exd",
      InitCommand= cmd(visible,1;zoom,0.2;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -260;z,50;sleep,0.2;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_fxd",
      InitCommand= cmd(visible,1;zoom,0.38;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -250;z,50;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_gxd",
      InitCommand= cmd(visible,1;zoom,0.4;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -240;z,50;sleep,0.3;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_hxd",
      InitCommand= cmd(visible,1;zoom,0.1;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -253;z,50;sleep,0.05;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_ixd",
      InitCommand= cmd(visible,1;zoom,0.2;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -260;z,50;sleep,0.2;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      Texture= "graphics/glow_green.png",
      },
      Def.Sprite{
        Name= "xtl_actor_jxd",
      InitCommand= cmd(visible,1;zoom,1.2;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-999;queuecommand,"Pulse"),
      P2TurnOffMessageCommand= cmd(visible,1),
      P2TurnOnMessageCommand= cmd(visible,0),
      PulseCommand= cmd(linear,beat_length/rate_mod;zoom,1.5;linear,beat_length/rate_mod;zoom,1.2;queuecommand,"Pulse"),
      Texture= "graphics/light_no.png",
      },
      Def.Sprite{
        Name= "xtl_actor_kxd",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 45;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) ); 

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_cl_top_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_lxd",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 90;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_cl_mid_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_mxd",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 135;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_cl_bot_r.png",
      },
      Def.Sprite{
        Name= "xtl_actor_nxd",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 225;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );
              self:croptop(0.01);         

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4);
            end,
      Texture= "graphics/tex_dome_cl_bot.png",
      },
      Def.Sprite{
        Name= "xtl_actor_oxd",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 270;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );
              self:croptop(0.05);

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_cl_mid.png",
      },
      Def.Sprite{
        Name= "xtl_actor_pxd",
      InitCommand= cmd(visible,0;queuecommand,"Setup"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      SetupCommand= function(self)
              local theta = 315;

              self:x(length * math.cos( math.rad(theta - 90) ) );
              self:y(length * math.sin( math.rad(theta - 90) ) );
              self:croptop(0.01);

              self:zoom(0.57);
              self:zoomz(aspect_scale);
              self:rotationx(90);
              self:rotationy(theta);
              self:rotationz(0);

              self:texcoordvelocity(0,beat_length*4*rate_mod);
            end,
      Texture= "graphics/tex_dome_cl_top.png",
      },
      Def.Sprite{
        Name= "xtl_actor_qxd",
      InitCommand= cmd(visible,0;zoom,0.38;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -250;z,50;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_rxd",
      InitCommand= cmd(visible,0;zoom,0.4;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -240;z,50;sleep,0.3;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_sxd",
      InitCommand= cmd(visible,0;zoom,0.1;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -253;z,50;sleep,0.05;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_txd",
      InitCommand= cmd(visible,0;zoom,0.2;x,SCREEN_CENTER_X + -300;y,SCREEN_CENTER_Y + -260;z,50;sleep,0.2;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_uxd",
      InitCommand= cmd(visible,0;zoom,0.38;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -250;z,50;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_vxd",
      InitCommand= cmd(visible,0;zoom,0.4;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -240;z,50;sleep,0.3;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_wxd",
      InitCommand= cmd(visible,0;zoom,0.1;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -253;z,50;sleep,0.05;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_xxd",
      InitCommand= cmd(visible,0;zoom,0.2;x,SCREEN_CENTER_X + -340;y,SCREEN_CENTER_Y + -260;z,50;sleep,0.2;queuecommand,"Move"),
      MoveCommand= cmd(linear,beat_length*1.5/rate_mod;z,280*aspect_scale;sleep,0;z,50;queuecommand,"Move"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      Texture= "graphics/glow_yellow.png",
      },
      Def.Sprite{
        Name= "xtl_actor_yxd",
      InitCommand= cmd(visible,0;zoom,1.2;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-999;queuecommand,"Pulse"),
      P2TurnOffMessageCommand= cmd(visible,0),
      P2TurnOnMessageCommand= cmd(visible,1),
      PulseCommand= cmd(linear,beat_length/rate_mod;zoom,1.5;linear,beat_length/rate_mod;zoom,1.2;queuecommand,"Pulse"),
      Texture= "graphics/light_cl.png",
      },
    },
    Def.ActorFrame{
      Name= "xtl_actor_zxd",
    InitCommand= cmd(fov,90;x,P2_CENTER;y,SCREEN_CENTER_Y + -80),
    P2LeftHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2LeftHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2LeftHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RotateCCWMessageCommand= cmd(stoptweening;decelerate,beat_length*4/rate_mod;rotationz,-375;sleep,0;rotationz,-15;
                                linear,beat_length*2.5/rate_mod;rotationz,7/rate_mod;linear,beat_length*1.5/rate_mod;rotationz,0),
    P2RotateCWMessageCommand= cmd(stoptweening;decelerate,beat_length*4/rate_mod;rotationz,375;sleep,0;rotationz,15;
                                linear,beat_length*2.5/rate_mod;rotationz,-7;linear,beat_length*9.5/rate_mod;rotationz,0),
    P2SharpLeftMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,-tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    P2SharpRightMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    VanishX= P2_CENTER,
    VanishY= 150,
      Def.Sprite{
        Name= "xtl_actor_ayd",
      InitCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + 260;z,-999;zoom,4.1),
      Texture= "graphics/playfield.png",
      },
      Def.Sprite{
        Name= "xtl_actor_byd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(14.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(19.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(19.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(24.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(28.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(29.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(33.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(34.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(36.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(58.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(60.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_myd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(60.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(67.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(68.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(68.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(72.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ryd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.461538 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.461538 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(73.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_syd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(80.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(86.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(88.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(108.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(110.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(110.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(116.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zyd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(-16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(121.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_azd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(19.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(24.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_czd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(26.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(29.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ezd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(29.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(33.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(33.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(51.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_izd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 4.923077 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 4.923077 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(66.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.923077 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(87.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 1.230769 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 1.230769 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(89.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(96.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(102.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(108.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ozd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(109.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(111.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(112.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(32, 1);
              self:zoomz(hold_height);
              self:x(16);
              self:y(90);
              self:rotationx(-90);
              self:z(-1000 - hold_height/2);
              self:visible(0);
              self:queuecommand('Wait');
            end,
      Texture= "graphics/hold.png",
      WaitCommand= cmd(sleep,(118.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_szd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(14.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(16.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(17.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(18.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(19.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(20.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(22.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zzd",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(23.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(24.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(25.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(27.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(28.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(29.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(30.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(32.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(33.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(35.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(36.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(38.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(39.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(40.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(41.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(43.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(44.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(45.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(46.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(48.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(49.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(50.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(51.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(52.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(54.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zae",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(55.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_abe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(56.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(57.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(59.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(60.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ebe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(61.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(62.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(64.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(65.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ibe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(66.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(67.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(68.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(70.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(71.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(72.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_obe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(73.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(75.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(76.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(77.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(78.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(80.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ube",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(81.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(82.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(83.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(84.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ybe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(86.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zbe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(87.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ace",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(88.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(89.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(91.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(92.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ece",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(93.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(94.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(96.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(97.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ice",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(98.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(99.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(102.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(103.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(104.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(105.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(107.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(108.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(109.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(110.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(112.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(113.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(114.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(115.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(116.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zce",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(119.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ade",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(120.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bde",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(121.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cde",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(123.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dde",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(124.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ede",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,166;queuecommand,"Hide"),
      Texture= "graphics/measure_marker.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fde",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(14.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gde",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(14.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hde",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(14.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ide",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jde",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kde",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(15.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lde",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mde",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nde",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(16.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ode",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pde",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qde",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(16.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rde",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sde",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tde",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(17.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ude",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vde",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wde",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(17.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xde",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yde",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zde",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(18.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aee",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(19.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bee",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(19.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cee",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(19.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dee",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eee",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fee",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(20.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gee",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hee",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iee",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(21.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jee",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kee",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lee",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(21.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mee",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(24.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nee",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(24.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oee",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(24.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pee",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qee",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ree",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(25.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_see",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tee",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uee",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(26.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vee",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wee",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xee",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(26.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yee",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zee",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_afe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(27.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bfe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cfe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dfe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(28.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_efe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ffe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gfe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(28.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hfe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(29.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ife",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(29.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jfe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(29.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kfe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(29.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lfe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(29.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mfe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(29.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nfe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ofe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pfe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(30.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qfe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rfe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sfe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(30.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tfe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ufe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vfe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(31.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wfe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xfe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yfe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(32.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zfe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_age",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bge",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(32.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cge",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(36.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dge",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(36.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ege",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(36.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fge",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gge",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hge",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(37.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ige",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jge",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kge",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(38.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lge",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mge",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nge",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(38.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oge",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pge",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qge",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(38.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rge",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sge",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tge",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(39.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uge",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vge",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wge",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(39.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xge",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yge",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zge",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(40.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ahe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bhe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_che",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(40.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dhe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ehe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fhe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(40.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ghe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hhe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ihe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(41.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jhe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_khe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lhe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(41.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mhe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nhe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ohe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(42.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_phe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qhe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rhe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(42.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_she",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_the",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uhe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vhe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_whe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xhe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yhe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zhe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aie",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bie",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cie",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_die",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eie",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fie",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gie",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(44.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hie",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iie",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jie",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(44.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kie",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lie",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mie",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(45.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nie",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oie",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pie",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(45.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qie",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(46.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rie",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(46.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sie",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(46.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tie",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(46.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uie",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(46.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vie",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(46.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wie",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(46.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xie",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(46.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yie",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(46.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zie",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aje",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bje",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(47.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cje",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dje",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eje",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(47.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fje",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gje",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hje",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(48.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ije",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jje",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kje",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(48.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lje",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mje",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nje",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(48.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oje",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pje",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qje",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(49.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rje",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sje",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tje",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(49.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uje",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vje",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wje",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(49.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xje",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yje",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zje",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ake",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bke",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cke",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dke",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(51.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eke",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(51.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fke",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(51.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gke",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(51.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hke",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(51.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ike",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(51.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jke",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(52.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kke",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(52.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lke",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(52.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mke",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nke",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oke",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(53.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pke",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(54.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qke",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(54.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rke",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(54.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ske",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(56.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tke",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(56.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uke",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(56.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vke",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wke",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xke",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(57.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yke",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zke",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ale",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(57.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ble",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cle",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dle",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(58.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ele",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fle",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gle",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(58.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hle",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ile",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jle",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(59.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kle",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lle",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mle",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(59.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nle",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(60.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ole",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(60.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ple",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(60.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qle",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rle",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sle",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(61.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tle",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ule",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vle",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wle",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xle",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yle",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zle",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ame",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bme",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(63.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cme",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dme",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eme",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(63.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fme",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gme",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hme",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(64.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ime",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jme",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kme",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(64.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lme",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mme",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nme",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(64.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ome",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(66.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pme",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(66.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qme",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(66.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rme",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(67.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sme",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(67.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tme",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(67.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ume",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(68.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vme",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(68.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wme",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(68.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xme",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(69.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yme",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(69.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zme",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(69.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ane",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(70.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bne",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(70.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cne",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(70.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dne",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ene",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fne",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(71.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gne",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hne",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ine",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(71.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jne",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kne",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lne",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(72.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mne",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nne",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_one",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(72.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pne",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qne",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rne",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(74.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sne",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tne",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_une",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(81.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vne",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wne",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xne",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(81.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yne",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zne",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aoe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(82.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_boe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_coe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_doe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(82.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eoe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_foe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_goe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(82.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hoe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ioe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_joe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_koe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_loe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_moe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_noe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ooe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_poe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qoe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_roe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_soe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(84.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_toe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uoe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_voe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(84.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_woe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xoe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yoe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(84.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zoe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ape",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bpe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cpe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dpe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_epe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fpe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gpe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hpe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ipe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jpe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kpe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lpe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(87.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mpe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(87.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_npe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(87.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ope",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ppe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qpe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(88.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rpe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_spe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tpe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(90.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_upe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vpe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wpe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(90.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xpe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ype",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zpe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(91.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aqe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bqe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cqe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(91.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dqe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eqe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fqe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(91.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gqe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hqe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iqe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(92.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jqe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kqe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lqe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(92.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mqe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nqe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oqe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(92.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pqe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qqe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rqe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(93.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sqe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tqe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uqe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(93.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vqe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wqe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xqe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(93.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yqe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zqe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_are",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(94.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bre",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cre",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dre",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(95.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ere",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fre",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gre",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hre",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ire",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jre",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kre",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(98.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lre",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(98.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mre",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(98.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nre",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(98.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ore",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(98.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pre",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(98.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qre",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rre",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(99.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sre",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tre",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ure",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vre",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wre",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xre",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yre",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(103.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zre",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ase",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bse",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(103.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cse",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dse",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ese",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(104.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fse",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gse",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hse",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(104.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ise",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jse",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kse",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(104.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lse",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mse",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nse",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ose",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pse",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qse",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rse",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sse",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tse",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_use",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vse",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wse",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(106.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xse",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yse",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zse",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(106.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ate",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bte",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cte",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(107.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dte",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ete",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fte",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(107.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gte",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(108.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hte",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(108.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ite",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(108.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jte",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kte",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lte",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(114.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mte",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nte",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ote",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(114.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pte",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qte",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rte",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(114.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ste",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tte",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ute",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vte",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wte",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xte",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(116.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yte",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zte",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aue",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(116.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bue",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cue",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_due",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eue",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fue",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gue",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hue",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iue",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jue",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(117.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kue",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lue",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(118.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mue",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nue",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(119.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oue",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(119.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pue",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(119.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_que",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(119.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rue",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(119.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sue",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(119.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tue",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uue",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vue",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wue",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(121.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xue",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(121.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yue",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(121.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zue",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ave",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bve",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(122.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cve",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dve",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eve",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(122.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fve",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(123.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gve",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(123.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hve",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(123.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ive",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jve",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kve",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(125.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lve",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -345;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mve",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -379;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nve",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ove",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(14.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pve",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(14.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qve",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(14.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rve",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sve",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tve",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(15.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uve",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vve",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wve",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(15.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xve",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yve",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zve",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(16.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_awe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bwe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cwe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(16.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dwe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ewe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fwe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(17.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gwe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hwe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iwe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(18.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jwe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kwe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lwe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(18.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mwe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nwe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_owe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(18.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pwe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(19.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qwe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(19.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rwe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(19.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_swe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_twe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uwe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(20.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vwe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wwe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xwe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(20.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ywe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zwe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_axe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(20.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bxe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cxe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dxe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(21.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_exe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(22.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fxe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(22.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gxe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(22.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hxe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(23.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ixe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(23.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jxe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(23.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kxe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(24.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lxe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(24.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mxe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(24.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nxe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oxe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pxe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(25.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qxe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rxe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sxe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(25.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_txe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uxe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vxe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(26.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wxe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xxe",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yxe",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(27.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zxe",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aye",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bye",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(27.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cye",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dye",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eye",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(28.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fye",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gye",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hye",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(30.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iye",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jye",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kye",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(31.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lye",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mye",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nye",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oye",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pye",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qye",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rye",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sye",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tye",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uye",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vye",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wye",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xye",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(33.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yye",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(33.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zye",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(33.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aze",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(33.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bze",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(33.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cze",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(33.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dze",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(33.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eze",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(33.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fze",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(33.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gze",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(34.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hze",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(34.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ize",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(34.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jze",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(34.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kze",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(34.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lze",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(34.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mze",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nze",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oze",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pze",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qze",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rze",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sze",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tze",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uze",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vze",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wze",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xze",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(38.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yze",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zze",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aaf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(39.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_baf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_caf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_daf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(39.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eaf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_faf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gaf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(40.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_haf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iaf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jaf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(40.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kaf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_laf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_maf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(40.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_naf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oaf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_paf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(41.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qaf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_raf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_saf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(41.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_taf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uaf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vaf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(41.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_waf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xaf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yaf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zaf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_abf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bbf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cbf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dbf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ebf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fbf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gbf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hbf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ibf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jbf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kbf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(43.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lbf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mbf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nbf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(43.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_obf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pbf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qbf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rbf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sbf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tbf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ubf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vbf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wbf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xbf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ybf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zbf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_acf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bcf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ccf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(45.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dcf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ecf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fcf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(45.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gcf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hcf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_icf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(47.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jcf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kcf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lcf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(48.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mcf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ncf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ocf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(49.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pcf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(51.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qcf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(51.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rcf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(51.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_scf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(52.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tcf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(52.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ucf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(52.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vcf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(52.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wcf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(52.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xcf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(52.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ycf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(52.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zcf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(52.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_adf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(52.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bdf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cdf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ddf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(53.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_edf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fdf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gdf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(53.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hdf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(54.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_idf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(54.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jdf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(54.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kdf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(55.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ldf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(55.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mdf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(55.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ndf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(56.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_odf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(56.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pdf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(56.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qdf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(56.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rdf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(56.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sdf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(56.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tdf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_udf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vdf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(57.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wdf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xdf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ydf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(57.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zdf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aef",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bef",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(58.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cef",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_def",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eef",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(59.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fef",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(60.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gef",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(60.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hef",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(60.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ief",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(60.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jef",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(60.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kef",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(60.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lef",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mef",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nef",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(61.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oef",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pef",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qef",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(62.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ref",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sef",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tef",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(62.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uef",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vef",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wef",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(62.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xef",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yef",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zef",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(63.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aff",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bff",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cff",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(64.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dff",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eff",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fff",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(64.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gff",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(66.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hff",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(66.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iff",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(66.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jff",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(67.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kff",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(67.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lff",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(67.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mff",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(69.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nff",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(69.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_off",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(69.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pff",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(69.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qff",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(69.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rff",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(69.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sff",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(70.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tff",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(70.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uff",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(70.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vff",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(70.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wff",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(70.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xff",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(70.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yff",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zff",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_agf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(71.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bgf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cgf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dgf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(71.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_egf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fgf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ggf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(72.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hgf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_igf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jgf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(72.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kgf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(73.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lgf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(73.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mgf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(73.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ngf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ogf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pgf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(74.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qgf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rgf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sgf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(74.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tgf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ugf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vgf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wgf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xgf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ygf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zgf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ahf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bhf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_chf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dhf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ehf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fhf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ghf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hhf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ihf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jhf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_khf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lhf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mhf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nhf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(83.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ohf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_phf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qhf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(83.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rhf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_shf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_thf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(83.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uhf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vhf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_whf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xhf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yhf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zhf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aif",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bif",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cif",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dif",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eif",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fif",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gif",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hif",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iif",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jif",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kif",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lif",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mif",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nif",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oif",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pif",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qif",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rif",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(86.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sif",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tif",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uif",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(86.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vif",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(87.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wif",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(87.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xif",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(87.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yif",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(87.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zif",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(87.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ajf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(87.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bjf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cjf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_djf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(88.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ejf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fjf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gjf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(88.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hjf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(89.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ijf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(89.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jjf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(89.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kjf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(89.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ljf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(89.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mjf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(89.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_njf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ojf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pjf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(90.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qjf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rjf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sjf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(90.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tjf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ujf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vjf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wjf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xjf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yjf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zjf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_akf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bkf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ckf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dkf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ekf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(92.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fkf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gkf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hkf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(92.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ikf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jkf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kkf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(93.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lkf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mkf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nkf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(93.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_okf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pkf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qkf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(94.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rkf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_skf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tkf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(95.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ukf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vkf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wkf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xkf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ykf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zkf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_alf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(98.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_blf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(98.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_clf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(98.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dlf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_elf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(99.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_flf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_glf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hlf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ilf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jlf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_klf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_llf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(103.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mlf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nlf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_olf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(103.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_plf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qlf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rlf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_slf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tlf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ulf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vlf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wlf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xlf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ylf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zlf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_amf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(105.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bmf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cmf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dmf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(105.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_emf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fmf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gmf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hmf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_imf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jmf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kmf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lmf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mmf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nmf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_omf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pmf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qmf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rmf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_smf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tmf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_umf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vmf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wmf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xmf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ymf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zmf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_anf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bnf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cnf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(108.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dnf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(108.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_enf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(108.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fnf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(109.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gnf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(109.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hnf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(109.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_inf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(110.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jnf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(110.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_knf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(110.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lnf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(110.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mnf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(110.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nnf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(110.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_onf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(110.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pnf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(110.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qnf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(110.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rnf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_snf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tnf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(111.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_unf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(112.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vnf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(112.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wnf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(112.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xnf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ynf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_znf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aof",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bof",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cof",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dof",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eof",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fof",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gof",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hof",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iof",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jof",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kof",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lof",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mof",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nof",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oof",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(115.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pof",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qof",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rof",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(115.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sof",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tof",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uof",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vof",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wof",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xof",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yof",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zof",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_apf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bpf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cpf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dpf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_epf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fpf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gpf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hpf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ipf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jpf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kpf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lpf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mpf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(117.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_npf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_opf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(118.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ppf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qpf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(119.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rpf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(119.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_spf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(119.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tpf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_upf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vpf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wpf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(121.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xpf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(121.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ypf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(121.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zpf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(121.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aqf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(121.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bqf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(121.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cqf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dqf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eqf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fqf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gqf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hqf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iqf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jqf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kqf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lqf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mqf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nqf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oqf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(123.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pqf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(123.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qqf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(123.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rqf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(123.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sqf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(123.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tqf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(123.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uqf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(124.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vqf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(124.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wqf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(124.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xqf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(124.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yqf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(124.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zqf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(124.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_arf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -328;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_brf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -342;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_crf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -338;y,SCREEN_CENTER_Y + -114;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_drf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_erf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_frf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(15.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_grf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hrf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_irf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(15.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jrf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_krf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lrf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(16.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mrf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nrf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_orf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(16.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_prf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qrf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rrf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(17.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_srf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_trf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_urf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(17.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vrf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wrf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xrf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(18.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yrf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(19.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zrf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(19.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_asf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(19.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bsf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_csf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dsf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(20.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_esf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fsf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gsf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(20.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hsf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_isf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jsf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(21.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ksf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lsf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_msf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(21.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nsf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(22.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_osf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(22.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_psf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(22.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qsf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(22.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rsf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(22.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ssf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(22.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tsf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(23.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_usf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(23.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vsf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(23.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wsf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(23.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xsf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(23.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ysf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(23.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zsf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(24.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_atf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(24.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_btf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(24.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ctf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dtf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_etf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(25.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ftf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gtf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_htf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(25.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_itf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jtf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ktf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(26.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ltf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mtf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ntf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(26.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_otf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ptf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qtf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(27.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rtf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_stf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ttf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(27.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_utf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vtf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wtf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(28.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xtf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ytf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ztf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(28.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_auf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(29.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_buf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(29.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cuf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(29.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_duf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_euf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fuf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(30.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_guf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_huf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iuf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(30.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_juf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kuf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_luf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(30.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_muf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nuf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ouf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(31.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_puf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_quf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ruf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_suf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tuf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uuf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vuf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(32.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wuf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(32.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xuf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(32.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yuf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zuf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_avf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bvf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cvf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dvf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_evf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fvf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gvf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(37.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hvf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ivf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jvf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(38.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kvf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lvf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mvf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(38.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nvf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ovf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pvf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(38.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qvf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rvf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_svf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(38.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tvf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uvf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vvf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(39.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wvf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xvf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yvf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(39.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zvf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_awf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bwf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(39.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cwf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dwf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ewf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(40.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fwf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gwf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hwf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(40.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iwf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jwf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kwf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(41.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lwf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mwf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nwf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_owf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pwf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qwf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rwf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_swf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_twf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(42.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uwf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vwf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wwf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xwf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ywf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zwf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(44.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_axf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bxf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cxf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(45.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dxf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_exf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fxf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(45.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gxf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hxf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ixf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(47.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jxf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kxf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lxf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(47.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mxf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nxf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oxf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(48.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pxf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qxf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rxf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(49.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sxf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_txf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uxf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(50.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vxf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wxf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xxf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(50.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yxf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(51.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zxf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(51.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ayf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(51.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_byf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(52.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cyf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(52.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dyf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(52.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eyf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fyf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gyf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(53.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hyf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iyf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jyf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(53.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kyf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(55.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lyf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(55.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_myf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(55.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nyf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oyf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pyf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(57.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qyf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ryf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_syf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(58.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tyf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uyf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vyf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(58.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wyf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xyf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yyf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(59.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zyf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_azf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bzf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(59.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_czf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(60.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dzf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(60.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ezf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(60.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fzf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(60.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gzf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(60.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hzf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(60.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_izf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jzf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kzf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(61.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lzf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mzf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nzf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(61.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ozf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pzf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qzf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(62.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rzf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_szf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tzf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(62.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uzf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vzf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wzf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(63.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xzf",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yzf",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zzf",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(63.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aag",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(64.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bag",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(64.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cag",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(64.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dag",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(65.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eag",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(65.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fag",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(65.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gag",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(65.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hag",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(65.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iag",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(65.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jag",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(66.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kag",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(66.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lag",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(66.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mag",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(66.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nag",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(66.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oag",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(66.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pag",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(67.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qag",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(67.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rag",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(67.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sag",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(67.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tag",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(67.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uag",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(67.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vag",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(67.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wag",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(67.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xag",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(67.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yag",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(68.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zag",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(68.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_abg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(68.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bbg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(68.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cbg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(68.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dbg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(68.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ebg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(68.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fbg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(68.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gbg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(68.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hbg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(69.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ibg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(69.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jbg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(69.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kbg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(69.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lbg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(69.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mbg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(69.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nbg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(70.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_obg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(70.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pbg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(70.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qbg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(70.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rbg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(70.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sbg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(70.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tbg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ubg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vbg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(71.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wbg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xbg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ybg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(71.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zbg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_acg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bcg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(71.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ccg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dcg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ecg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(72.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fcg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gcg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hcg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(72.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_icg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jcg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kcg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(72.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lcg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(73.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mcg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(73.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ncg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(73.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ocg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(73.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pcg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(73.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qcg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(73.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rcg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_scg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tcg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(74.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ucg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vcg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wcg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(74.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xcg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(75.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ycg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(75.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zcg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(75.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_adg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(75.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bdg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(75.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cdg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(75.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ddg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_edg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fdg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gdg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hdg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_idg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jdg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kdg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ldg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(81.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mdg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ndg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_odg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pdg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qdg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rdg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sdg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tdg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_udg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(82.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vdg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wdg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xdg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(83.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ydg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zdg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aeg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(83.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_beg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ceg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_deg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eeg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_feg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_geg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_heg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ieg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jeg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(84.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_keg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_leg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_meg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_neg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oeg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_peg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(85.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qeg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_reg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_seg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(86.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_teg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ueg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_veg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(86.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_weg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(87.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xeg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(87.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yeg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(87.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zeg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(87.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_afg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(87.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bfg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(87.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cfg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dfg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_efg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(88.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ffg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gfg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hfg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(88.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ifg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(89.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jfg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(89.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kfg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(89.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lfg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(89.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mfg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(89.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nfg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(89.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ofg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pfg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qfg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(90.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rfg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sfg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tfg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(90.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ufg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(90.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vfg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(90.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wfg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(90.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xfg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yfg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zfg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_agg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bgg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cgg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dgg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_egg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fgg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(91.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ggg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hgg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_igg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(92.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jgg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kgg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lgg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(92.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mgg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ngg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ogg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(93.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pgg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qgg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rgg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(93.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sgg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tgg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ugg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(94.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vgg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wgg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xgg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(94.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ygg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zgg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ahg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(95.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bhg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_chg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dhg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(95.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ehg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fhg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ghg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hhg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ihg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(98.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jhg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_khg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lhg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(99.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mhg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nhg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ohg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_phg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qhg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rhg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_shg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_thg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uhg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vhg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(103.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_whg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xhg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yhg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(103.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zhg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aig",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_big",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cig",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dig",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eig",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fig",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gig",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hig",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(104.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iig",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jig",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kig",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(105.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lig",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mig",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nig",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(105.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oig",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pig",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qig",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(105.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rig",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sig",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tig",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uig",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vig",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wig",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xig",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yig",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zig",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(106.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ajg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bjg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cjg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_djg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ejg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fjg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gjg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hjg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ijg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(107.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jjg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(108.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kjg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(108.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ljg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(108.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mjg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(109.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_njg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(109.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ojg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(109.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pjg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(109.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qjg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(109.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rjg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(109.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sjg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tjg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ujg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(111.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vjg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wjg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xjg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(111.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yjg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zjg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_akg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(111.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bkg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ckg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dkg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(111.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ekg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(112.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fkg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(112.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gkg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(112.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hkg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ikg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jkg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kkg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lkg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mkg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nkg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_okg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pkg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qkg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rkg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_skg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(113.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tkg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ukg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vkg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wkg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xkg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ykg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zkg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_alg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_blg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_clg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dlg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_elg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(114.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_flg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_glg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hlg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(115.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ilg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jlg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_klg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(115.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_llg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mlg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nlg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_olg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_plg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qlg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rlg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_slg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tlg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(116.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ulg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vlg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wlg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(117.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xlg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ylg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zlg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_amg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bmg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cmg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(120.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dmg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_emg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fmg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gmg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hmg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_img",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jmg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kmg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lmg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mmg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nmg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_omg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(122.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pmg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(123.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qmg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(123.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rmg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(123.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_smg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(123.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tmg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(123.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_umg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(123.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vmg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(124.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wmg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(124.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xmg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(124.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ymg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(124.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zmg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(124.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ang",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(124.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bng",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -312;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cng",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -305;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dng",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -302;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/down_hit.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eng",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(14.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fng",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(14.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gng",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(14.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hng",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(15.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ing",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(15.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jng",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(15.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kng",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(16.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lng",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(16.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mng",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(16.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nng",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(17.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ong",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(17.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_png",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(17.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qng",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rng",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sng",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(18.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tng",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(18.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ung",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(18.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vng",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(18.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wng",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(19.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xng",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(19.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yng",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(19.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zng",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(20.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aog",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(20.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bog",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(20.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cog",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(21.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dog",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(21.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eog",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(21.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fog",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(22.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gog",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(22.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hog",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(22.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iog",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(23.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jog",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(23.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kog",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(23.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_log",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(24.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mog",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(24.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nog",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(24.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oog",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(25.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pog",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(25.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qog",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(25.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rog",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sog",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tog",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(26.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uog",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(26.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vog",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(26.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wog",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(26.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xog",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yog",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zog",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(27.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_apg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(27.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bpg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(27.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cpg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(27.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dpg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_epg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fpg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(28.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gpg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(28.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hpg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(28.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ipg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(28.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jpg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(29.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kpg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(29.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lpg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(29.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mpg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_npg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_opg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(30.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ppg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(30.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qpg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(30.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rpg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(30.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_spg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tpg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_upg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(31.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vpg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wpg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xpg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(31.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ypg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zpg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_aqg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(31.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bqg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(31.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cqg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(31.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dqg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(31.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_eqg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fqg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(34.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gqg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hqg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iqg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jqg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(37.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kqg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(37.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lqg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(37.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mqg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(37.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nqg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oqg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pqg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(38.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qqg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(38.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rqg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(38.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sqg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(38.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tqg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uqg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vqg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(39.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wqg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xqg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yqg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(39.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zqg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(39.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_arg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(39.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_brg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(39.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_crg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_drg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_erg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(40.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_frg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(40.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_grg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(40.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hrg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(40.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_irg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jrg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_krg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(41.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lrg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mrg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nrg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(41.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_org",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(41.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_prg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(41.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qrg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(41.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rrg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(42.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_srg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(42.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_trg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(42.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_urg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vrg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wrg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xrg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yrg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zrg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_asg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bsg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_csg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dsg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(43.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_esg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(43.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fsg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(43.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gsg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hsg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_isg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(44.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jsg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(44.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ksg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(44.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lsg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(44.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_msg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nsg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_osg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(45.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_psg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qsg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rsg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(45.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ssg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(45.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tsg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(45.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_usg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(45.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vsg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(46.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wsg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(46.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xsg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(46.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ysg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(46.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zsg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(46.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_atg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(46.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_btg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ctg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dtg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(47.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_etg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ftg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gtg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(47.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_htg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(47.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_itg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(47.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jtg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(47.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ktg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ltg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mtg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(48.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ntg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(48.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_otg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(48.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ptg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(48.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qtg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rtg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_stg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(49.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ttg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(49.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_utg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(49.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vtg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(49.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wtg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xtg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ytg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ztg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aug",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bug",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cug",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dug",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eug",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fug",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(50.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gug",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(50.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hug",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(50.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iug",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(51.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jug",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(51.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kug",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(51.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lug",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(53.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mug",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(53.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nug",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(53.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oug",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(56.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pug",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(56.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qug",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(56.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rug",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sug",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tug",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(57.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uug",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(57.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vug",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(57.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wug",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(57.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xug",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yug",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zug",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(58.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_avg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(58.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bvg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(58.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cvg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(58.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dvg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_evg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fvg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(59.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gvg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hvg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ivg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(59.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jvg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(59.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kvg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(59.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lvg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(59.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mvg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nvg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ovg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(61.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pvg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(61.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qvg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(61.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rvg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(61.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_svg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tvg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uvg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vvg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wvg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xvg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yvg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zvg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_awg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bwg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(62.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cwg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(62.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dwg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(62.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ewg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fwg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gwg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(63.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hwg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iwg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jwg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(63.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kwg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(63.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lwg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(63.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mwg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(63.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nwg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(65.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_owg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(65.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pwg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(65.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qwg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(65.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rwg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(65.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_swg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(65.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_twg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(71.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uwg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(71.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vwg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(71.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wwg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xwg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ywg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(72.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zwg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(72.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_axg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(72.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bxg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(72.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cxg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(73.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dxg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(73.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_exg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(73.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fxg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(73.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gxg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(73.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hxg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(73.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ixg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(74.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jxg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(74.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kxg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(74.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lxg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(75.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mxg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(75.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nxg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(75.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oxg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pxg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qxg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(81.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rxg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(81.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sxg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(81.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_txg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(81.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uxg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vxg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wxg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(82.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xxg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(82.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yxg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(82.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zxg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(82.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ayg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_byg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cyg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dyg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eyg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fyg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gyg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(83.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hyg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(83.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_iyg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(83.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jyg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kyg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lyg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(84.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_myg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(84.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nyg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(84.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oyg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(84.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pyg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qyg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ryg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_syg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(85.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tyg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(85.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_uyg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(85.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vyg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wyg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xyg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(86.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yyg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zyg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_azg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(86.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bzg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(86.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_czg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(86.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dzg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(86.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ezg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(88.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fzg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(88.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gzg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(88.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hzg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(89.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_izg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(89.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jzg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(89.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kzg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lzg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mzg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(91.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nzg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(91.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ozg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(91.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pzg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(91.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qzg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rzg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_szg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(92.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tzg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(92.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uzg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(92.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vzg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(92.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wzg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xzg",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_yzg",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(93.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zzg",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(93.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aah",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(93.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bah",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(93.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cah",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dah",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_eah",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(94.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fah",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gah",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hah",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(94.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_iah",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(94.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jah",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(94.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kah",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(94.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_lah",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mah",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_nah",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(95.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_oah",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(95.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pah",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(95.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qah",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(95.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rah",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sah",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(97.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tah",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_uah",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vah",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(98.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wah",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xah",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yah",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(99.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zah",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_abh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bbh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_cbh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_dbh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ebh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(100.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_fbh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_gbh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hbh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.615385/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ibh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(103.615385/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jbh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(103.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kbh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(103.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_lbh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(103.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_mbh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nbh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_obh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(104.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_pbh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(104.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qbh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(104.846154/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_rbh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(104.846154/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_sbh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tbh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ubh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_vbh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wbh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xbh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ybh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(105.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zbh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(105.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ach",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(105.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bch",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cch",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dch",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(106.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ech",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fch",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.384615/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gch",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(106.384615/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hch",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(106.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ich",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(106.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jch",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(106.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kch",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lch",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_mch",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(107.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_nch",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(107.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_och",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(107.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_pch",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(107.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_qch",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(108.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rch",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(108.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_sch",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(108.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_tch",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(111.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uch",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(111.692308/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_vch",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(111.692308/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_wch",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(112.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xch",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(112.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ych",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(112.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_zch",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_adh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_bdh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(113.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_cdh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ddh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_edh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(113.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_fdh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(113.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gdh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(113.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_hdh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(113.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_idh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(114.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jdh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(114.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_kdh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(114.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_ldh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mdh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ndh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_odh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pdh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.153846/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_qdh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.153846/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_rdh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sdh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.307692/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_tdh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.307692/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_udh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vdh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_wdh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_xdh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ydh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_zdh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_aeh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(115.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_beh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(115.923077/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ceh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(115.923077/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_deh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(116.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eeh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(116.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_feh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(116.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_geh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(117.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_heh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(117.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ieh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(117.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_jeh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(119.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_keh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(119.076923/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_leh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(119.076923/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_meh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(119.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_neh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(119.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_oeh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(119.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_peh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qeh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_reh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_seh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(120.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_teh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(120.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_ueh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(120.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_veh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_weh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.000000/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_xeh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(122.000000/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_yeh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zeh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.461538/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_afh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(122.461538/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_bfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(122.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cfh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(122.769231/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_dfh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(122.769231/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_efh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ffh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.230769/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_gfh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(125.230769/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_hfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.18;x,SCREEN_CENTER_X + -295;y,SCREEN_CENTER_Y + -150;z,-1000;visible,0;queuecommand,"Wait"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;z,168;queuecommand,"Hide"),
      Texture= "graphics/note.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ifh",
        Frames= {
          {Frame= 0, Delay= 0.03},
          {Frame= 1, Delay= 0.03},
          {Frame= 2, Delay= 0.03},
          {Frame= 3, Delay= 0.03},
          {Frame= 4, Delay= 0.03},
          {Frame= 5, Delay= 0.03},
          {Frame= 6, Delay= 0.03},
          {Frame= 7, Delay= 0.03},
          {Frame= 8, Delay= 0.03},
          {Frame= 9, Delay= 0.03},
          {Frame= 10, Delay= 0.03},
          {Frame= 11, Delay= 0.03},
          {Frame= 12, Delay= 0.03},
          {Frame= 13, Delay= 0.03},
          {Frame= 14, Delay= 0.03},
          {Frame= 15, Delay= 0.03},
          {Frame= 16, Delay= 0.03},
          {Frame= 17, Delay= 1},
      },
      HideCommand= cmd(visible,0),
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -268;y,SCREEN_CENTER_Y + -57;visible,0;queuecommand,"Wait"),
      ShowCommand= cmd(visible,1;setstate,0;sleep,0.51;queuecommand,"Hide"),
      Texture= "graphics/critical 6x3",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Show"),
      },
      Def.Sprite{
        Name= "xtl_actor_jfh",
      HideCommand= cmd(visible,0),
      HitCommand= cmd(visible,1;sleep,0.1;queuecommand,"Hide"),
      InitCommand= cmd(zoom,0.375;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -114;rotationy,180;visible,0;queuecommand,"Wait"),
      Texture= "graphics/left_hit.png",
      WaitCommand= cmd(sleep,(125.538462/rate_mod + offset);queuecommand,"Hit"),
      },
      Def.Sprite{
        Name= "xtl_actor_kfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(22.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(46.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(47.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(50.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ofh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(51.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(53.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(54.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(55.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(66.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(68.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ufh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(73.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(75.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(93.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(94.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(96.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zfh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(97.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_agh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(98.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(99.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_egh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(112.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(113.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ggh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(117.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(118.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_igh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(120.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(123.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -363;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_start.png",
      WaitCommand= cmd(sleep,(124.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(12.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ngh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ogh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(46.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(48.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(51.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(52.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(54.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(54.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ugh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(64.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(74.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(76.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(92.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ygh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(94.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zgh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(95.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ahh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(96.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bhh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_chh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(98.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dhh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(99.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ehh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fhh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(112.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ghh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(116.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hhh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(118.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ihh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(119.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jhh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(121.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_khh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(123.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lhh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -277;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-955;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_start.png",
      WaitCommand= cmd(sleep,(124.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mhh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nhh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(46.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ohh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(48.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_phh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(49.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qhh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(51.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rhh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(52.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_shh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(52.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_thh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(54.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uhh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(54.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vhh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(55.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_whh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(66.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xhh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(74.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yhh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2RotateCW');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(76.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zhh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(92.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(94.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(95.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(96.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(96.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(98.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(98.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(99.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(100.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(112.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(116.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(118.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(119.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(120.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(121.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(121.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(123.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(124.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(46.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(48.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(52.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(54.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(55.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zih",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(65.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ajh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(92.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(94.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(96.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_djh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ejh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(98.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(100.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(112.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ijh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(119.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ljh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(121.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_njh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(121.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ojh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(123.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/purple_sharp.png",
      WaitCommand= cmd(sleep,(124.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(46.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(47.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_sjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(50.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(54.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ujh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(66.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(75.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(75.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(76.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(93.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zjh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(95.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_akh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ckh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(112.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ekh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(113.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(118.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(119.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(123.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ikh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpLeft');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(124.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(46.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(47.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(50.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(51.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(53.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_okh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(54.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(66.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(73.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(75.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_skh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(75.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(76.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ukh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(93.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(94.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(95.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(96.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ykh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(97.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zkh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(98.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_alh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(99.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_blh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_clh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2RotateCCW');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dlh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(112.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_elh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(113.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_flh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(117.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_glh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(118.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hlh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(119.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ilh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jlh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(120.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_klh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(123.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_llh",
      HideCommand= function(self)
              self:visible(0);
              MESSAGEMAN:Broadcast('P2SharpRight');
            end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= cmd(visible,1;linear,p2_travel_time;addz,1170;queuecommand,"Hide"),
      SetupCommand= cmd(zoomx,0.38;zoomz,0.56;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -150;rotationy,180;
                         rotationx,-90;z,-1002;visible,0;blend,"BlendMode_Add";queuecommand,"Wait"),
      Texture= "graphics/blue_sharp.png",
      WaitCommand= cmd(sleep,(124.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mlh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(46.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nlh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(48.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_olh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(49.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_plh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(51.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qlh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(52.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rlh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(52.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_slh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(54.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tlh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(54.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ulh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(55.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vlh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(66.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wlh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(74.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xlh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(92.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ylh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(94.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zlh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(95.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_amh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(96.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(96.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(97.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(98.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_emh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(98.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(99.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(100.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(100.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_imh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(112.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(116.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(117.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(118.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(119.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(120.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_omh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(121.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(121.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(123.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(124.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_smh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(46.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(48.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_umh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(52.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(54.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(55.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(65.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ymh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(92.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zmh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(94.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_anh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(96.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(97.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(98.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(99.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_enh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(100.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(112.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(117.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(118.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_inh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.615385 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(119.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(120.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_knh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(121.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(121.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(123.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(124.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_onh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(46.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(47.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(50.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_rnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(54.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_snh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(66.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_tnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(75.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_unh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(75.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_vnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(76.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_wnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(93.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xnh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(95.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ynh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(97.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_znh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(98.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aoh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(99.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_boh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(112.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_coh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(113.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_doh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(118.769231/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eoh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(119.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_foh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(123.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_goh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(-44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(124.615385/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hoh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(46.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ioh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(47.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_joh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(50.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_koh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(51.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_loh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(53.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_moh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(54.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_noh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(66.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_ooh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(73.846154/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_poh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(75.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qoh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(75.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_roh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(76.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_soh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(93.230769/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_toh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(94.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_uoh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(95.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_voh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(96.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_woh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(97.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_xoh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(98.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_yoh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(99.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_zoh",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(100.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_aph",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(112.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_bph",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(113.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_cph",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(117.692308/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_dph",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.307692 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(118.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_eph",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(119.076923/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_fph",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(120.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_gph",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(120.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_hph",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(123.538462/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_iph",
      HideCommand= cmd(visible,0),
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:linear((lane_length + hold_height)/lane_length * p2_travel_time);
              self:addz(lane_length + hold_height);
              self:queuecommand('Hide');
              end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 0.153846 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(44);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(124.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_jph",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 2.461538 * lane_length / p2_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p2_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P2RightHold8');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p2_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 2.461538 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(-270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(34.461538/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_kph",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 2.461538 * lane_length / p2_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p2_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P2LeftHold8');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p2_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 2.461538 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(12.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_lph",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 1.846154 * lane_length / p2_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p2_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P2LeftHold6');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p2_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 1.846154 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(64.000000/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_mph",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 4.923077 * lane_length / p2_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p2_travel_time);
              self:addz(hold_height);
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p2_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 4.923077 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/purple_hold.png",
      WaitCommand= cmd(sleep,(76.307692/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_nph",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 2.461538 * lane_length / p2_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p2_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P2RightHold8');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p2_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 2.461538 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(-270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(22.153846/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_oph",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 1.230769 * lane_length / p2_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p2_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P2RightHold4');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p2_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 1.230769 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(-270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(55.384615/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_pph",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 2.461538 * lane_length / p2_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p2_travel_time);
              self:addz(hold_height);
              MESSAGEMAN:Broadcast('P2RightHold8');
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p2_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 2.461538 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(-270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(68.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
      Def.Sprite{
        Name= "xtl_actor_qph",
      HideCommand= cmd(visible,0),
      HitCommand= function(self)
              local lane_length = 1170;
              local hold_height = 2.461538 * lane_length / p2_travel_time / rate_mod;
              self:linear(hold_height/lane_length * p2_travel_time);
              self:addz(hold_height);
              self:queuecommand('Hide');
              end,
      InitCommand= cmd(queuecommand,"Setup"),
      MoveCommand= function(self)
              self:visible(1);
              local lane_length = 1170
              self:linear(p2_travel_time);
              self:addz(lane_length);
              self:queuecommand('Hit');
             end,
      SetupCommand= function(self)
              local lane_length = 1170
              local hold_height = 2.461538 * lane_length / p2_travel_time / rate_mod;
              self:zoomto(18, 1);
              self:zoomz(hold_height);
              self:x(0);
              self:y(90-10);
              self:rotationx(-90);
              self:z(-983 - hold_height/2);
              self:skewx(-270);
              self:visible(0);
              self:blend('add');
              self:queuecommand('Wait');
            end,
      Texture= "graphics/blue_hold.png",
      WaitCommand= cmd(sleep,(100.923077/rate_mod - p2_travel_time + offset);queuecommand,"Move"),
      },
    },
    Def.ActorFrame{
      Name= "xtl_actor_rph",
    InitCommand= cmd(fov,90;x,P2_CENTER;y,SCREEN_CENTER_Y + 70),
    P2LeftHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2LeftHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2LeftHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RotateCCWMessageCommand= cmd(stoptweening;decelerate,beat_length*2.75/rate_mod;rotationz,-15;accelerate,beat_length*3.75/rate_mod;rotationz,7;
                                linear,beat_length*1.5/rate_mod;rotationz,0),
    P2RotateCWMessageCommand= cmd(stoptweening;decelerate,beat_length*2.75/rate_mod;rotationz,15;accelerate,beat_length*3.75/rate_mod;rotationz,-7;
                                linear,beat_length*9.5/rate_mod;rotationz,0),
    P2SharpLeftMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,-tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    P2SharpRightMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,tilt_angle;linear,beat_length/rate_mod;rotationz,0),
      Def.Sprite{
        Name= "xtl_actor_sph",
      OnCommand= cmd(queuecommand,"Wait"),
      SetupCommand= cmd(visible,1;zoom,0;x,SCREEN_CENTER_X + -434;y,SCREEN_CENTER_Y + -203;linear,beat_length*10/rate_mod;zoom,1),
      Texture= "graphics/line_bg.png",
      WaitCommand= cmd(visible,0;cropleft,0.5;sleep,beat_length*16/rate_mod;queuecommand,"Setup"),
      },
      Def.Sprite{
        Name= "xtl_actor_tph",
      OnCommand= cmd(queuecommand,"Wait"),
      SetupCommand= cmd(visible,1;zoom,0;x,SCREEN_CENTER_X + -206;y,SCREEN_CENTER_Y + -203;linear,beat_length*10/rate_mod;zoom,1),
      Texture= "graphics/line_bg.png",
      WaitCommand= cmd(visible,0;cropright,0.5;sleep,beat_length*16/rate_mod;queuecommand,"Setup"),
      },
      Def.Sprite{
        Name= "xtl_actor_uph",
      OnCommand= cmd(queuecommand,"Wait"),
      SetupCommand= cmd(visible,1;sleep,0;zoom,0.5;x,SCREEN_CENTER_X + -478;y,SCREEN_CENTER_Y + -203;texcoordvelocity,beat_length*rate_mod,0),
      Texture= "graphics/line_words",
      WaitCommand= cmd(visible,0;cropleft,0.5;sleep,beat_length*26/rate_mod;queuecommand,"Setup"),
      },
      Def.Sprite{
        Name= "xtl_actor_vph",
      OnCommand= cmd(queuecommand,"Wait"),
      SetupCommand= cmd(visible,1;sleep,0;zoom,0.5;x,SCREEN_CENTER_X + -162;y,SCREEN_CENTER_Y + -203;texcoordvelocity,-beat_length*rate_mod,0),
      Texture= "graphics/line_words",
      WaitCommand= cmd(visible,0;cropright,0.5;sleep,beat_length*26/rate_mod;queuecommand,"Setup"),
      },
      Def.Sprite{
        Name= "xtl_actor_wph",
      InitCommand= cmd(zoom,0.36;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -205),
      Texture= "graphics/line.png",
      },
      Def.Sprite{
        Name= "xtl_actor_xph",
      InitCommand= cmd(zoom,0.32;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -162),
      P2LeftHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;x,-shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P2LeftHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;x,-shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P2LeftHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;x,-shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P2RightHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;x,shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P2RightHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;x,shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P2RightHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;x,shift_amount;linear,beat_length*2/rate_mod;x,SCREEN_CENTER_X + -320),
      P2SharpLeftMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;x,-shift_amount;linear,beat_length/rate_mod;x,SCREEN_CENTER_X + -320),
      P2SharpRightMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;x,shift_amount;linear,beat_length/rate_mod;x,SCREEN_CENTER_X + -320),
      Texture= "graphics/io_front.png",
      },
      Def.Sprite{
        Name= "xtl_actor_yph",
      InitCommand= cmd(zoom,0.38;x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -140;cropleft,0.1;cropright,0.1),
      Texture= "graphics/io_main.png",
      },
    },
    Def.Sprite{
      Name= "xtl_actor_zph",
    InitCommand= cmd(zoom,0.38;x,P2_CENTER;y,SCREEN_CENTER_Y + -130),
    Texture= "graphics/angle_01.png",
    },
    Def.Sprite{
      Name= "xtl_actor_aqh",
    InitCommand= cmd(zoom,0.38;x,P2_CENTER;y,SCREEN_CENTER_Y + -120),
    P2LeftHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2LeftHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2LeftHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,-tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold4MessageCommand= cmd(stoptweening;linear,beat_length*4/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold6MessageCommand= cmd(stoptweening;linear,beat_length*6/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RightHold8MessageCommand= cmd(stoptweening;linear,beat_length*8/rate_mod;rotationz,tilt_angle;linear,beat_length*2/rate_mod;rotationz,0),
    P2RotateCCWMessageCommand= cmd(stoptweening;decelerate,beat_length*2.75/rate_mod;rotationz,-15;accelerate,beat_length*3.75/rate_mod;rotationz,7;
                                linear,beat_length*1.5/rate_mod;rotationz,0),
    P2RotateCWMessageCommand= cmd(stoptweening;decelerate,beat_length*2.75/rate_mod;rotationz,15;accelerate,beat_length*3.75/rate_mod;rotationz,-7;
                                linear,beat_length*9.5/rate_mod;rotationz,0),
    P2SharpLeftMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,-tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    P2SharpRightMessageCommand= cmd(stoptweening;linear,beat_length*0.125/rate_mod;rotationz,tilt_angle;linear,beat_length/rate_mod;rotationz,0),
    Texture= "graphics/angle_02.png",
    },
    Def.ActorFrame{
      Name= "xtl_actor_bqh",
    InitCommand= function(self)
          p2_cur_score = 0;
          p2_prev_score = 0;

          p2_cur_combo = 0;
          p2_max_combo = 0;

          p2_is_on = false;
        end,
      Def.Sprite{
        Name= "xtl_actor_cqh",
      OnCommand= cmd(queuecommand,"UpdateCombo"),
      UpdateComboCommand= function(self)

              if SCREENMAN:GetTopScreen():GetChild('ScoreP2'):GetChild('ScoreDisplayPercentage Percent'):GetChild('PercentP2') then
                p2_cur_score = tonumber( string.sub( SCREENMAN:GetTopScreen():GetChild('ScoreP2'):GetChild('ScoreDisplayPercentage Percent'):GetChild('PercentP2'):GetText(), 1, -2 )*100 );
              end

              -- Fantastics, Excellents, and Greats add to combo
              -- Decents do nothing (because they don't change score)
              -- Way Offs and Misses reset combo
              if (p2_cur_score - p2_prev_score) > 0 then
                p2_cur_combo = p2_cur_combo + 1;
                
                if p2_cur_combo > p2_max_combo then
                  p2_max_combo = p2_cur_combo;
                  MESSAGEMAN:Broadcast('P2UpdateMaxCombo');
                end

                MESSAGEMAN:Broadcast('P2UpdateCurCombo');

              elseif (p2_cur_score - p2_prev_score) < 0 then
                p2_cur_combo = 0;

                MESSAGEMAN:Broadcast('P2BrokeCombo');
                MESSAGEMAN:Broadcast('P2UpdateCurCombo');
              end

              p2_prev_score = p2_cur_score;

              if not p2_is_on then
                if p2_cur_combo >= 50 then
                  p2_is_on = true;
                  MESSAGEMAN:Broadcast('P2TurnOn');
                end
              end

              if p2_is_on then
                if p2_cur_combo < 50 then
                  p2_is_on = false;
                  MESSAGEMAN:Broadcast('P2TurnOff');
                end
              end

              self:sleep(0.05);
              self:queuecommand('UpdateCombo');            
            end,
      },
      Def.Sprite{
        Name= "xtl_actor_dqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P2_CENTER-56;y,SCREEN_CENTER_Y-122),
      OnCommand= cmd(queuecommand,"SetBPM"),
      SetBPMCommand= function(self)
              local str_tempo = string.format('%03d', math.floor(tempo * rate_mod + 0.5));
              local digit = string.sub(str_tempo, 1, 1);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_eqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P2_CENTER-51;y,SCREEN_CENTER_Y-122),
      OnCommand= cmd(queuecommand,"SetBPM"),
      SetBPMCommand= function(self)
              local str_tempo = string.format('%03d', math.floor(tempo * rate_mod + 0.5));
              local digit = string.sub(str_tempo, 2, 2);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_fqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P2_CENTER-46;y,SCREEN_CENTER_Y-122),
      OnCommand= cmd(queuecommand,"SetBPM"),
      SetBPMCommand= function(self)
              local str_tempo = string.format('%03d', math.floor(tempo * rate_mod + 0.5));
              local digit = string.sub(str_tempo, 3, 3);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_gqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.39;x,P2_CENTER-54;y,SCREEN_CENTER_Y-114),
      OnCommand= cmd(queuecommand,"SetBPM"),
      SetBPMCommand= function(self)
              local str_speed_mod = string.format('%02d', math.floor(GetSpeedMod(2) * 10 + 0.5));
              local digit = string.sub(str_speed_mod, 1, 1);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_hqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.39;x,P2_CENTER-45;y,SCREEN_CENTER_Y-114),
      OnCommand= cmd(queuecommand,"SetBPM"),
      SetBPMCommand= function(self)
              local str_speed_mod = string.format('%02d', math.floor(GetSpeedMod(2) * 10 + 0.5));
              local digit = string.sub(str_speed_mod, 2, 2);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_iqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.42;x,P2_CENTER+47;y,SCREEN_CENTER_Y-113),
      P2UpdateMaxComboMessageCommand= function(self)
              local str_max_combo = string.format('%04d', p2_max_combo);
              local digit = string.sub(str_max_combo, 1, 1);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_jqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.42;x,P2_CENTER+54;y,SCREEN_CENTER_Y-113),
      P2UpdateMaxComboMessageCommand= function(self)
              local str_max_combo = string.format('%04d', p2_max_combo);
              local digit = string.sub(str_max_combo, 2, 2);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_kqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.42;x,P2_CENTER+61;y,SCREEN_CENTER_Y-113),
      P2UpdateMaxComboMessageCommand= function(self)
              local str_max_combo = string.format('%04d', p2_max_combo);
              local digit = string.sub(str_max_combo, 3, 3);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_lqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.42;x,P2_CENTER+68;y,SCREEN_CENTER_Y-113),
      P2UpdateMaxComboMessageCommand= function(self)
              local str_max_combo = string.format('%04d', p2_max_combo);
              local digit = string.sub(str_max_combo, 4, 4);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/numbers 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_mqh",
      InitCommand= cmd(diffuse,240/255,240/255,150/255,1;zoom,0.38;x,P2_CENTER;y,SCREEN_CENTER_Y+30),
      P2BrokeComboMessageCommand= cmd(diffusecolor,1,1,1,1),
      Texture= "graphics/chain.png",
      },
      Def.Sprite{
        Name= "xtl_actor_nqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
          {Frame= 10, Delay= 130},
      },
      InitCommand= cmd(diffuse,240/255,240/255,150/255,1;setstate,10;zoom,0.42;x,P2_CENTER-30;y,SCREEN_CENTER_Y+45),
      P2BrokeComboMessageCommand= cmd(diffuse,1,1,1,1;setstate,10),
      P2UpdateCurComboMessageCommand= function(self)
              if p2_cur_combo >= 1000 then
                local str_cur_combo = string.format('%04d', p2_cur_combo);
                local digit = string.sub(str_cur_combo, 1, 1);
                self:setstate(tonumber(digit));
              end
            end,
      Texture= "graphics/combo 11x1",
      },
      Def.Sprite{
        Name= "xtl_actor_oqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
          {Frame= 10, Delay= 130},
      },
      InitCommand= cmd(diffuse,240/255,240/255,150/255,1;setstate,10;zoom,0.42;x,P2_CENTER-10;y,SCREEN_CENTER_Y+45),
      P2BrokeComboMessageCommand= cmd(diffuse,1,1,1,1;setstate,10),
      P2UpdateCurComboMessageCommand= function(self)
              if p2_cur_combo >= 100 then
                local str_cur_combo = string.format('%04d', p2_cur_combo);
                local digit = string.sub(str_cur_combo, 2, 2);
                self:setstate(tonumber(digit));
              end
            end,
      Texture= "graphics/combo 11x1",
      },
      Def.Sprite{
        Name= "xtl_actor_pqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
          {Frame= 10, Delay= 130},
      },
      InitCommand= cmd(diffuse,240/255,240/255,150/255,1;setstate,10;zoom,0.42;x,P2_CENTER+10;y,SCREEN_CENTER_Y+45),
      P2BrokeComboMessageCommand= cmd(diffuse,1,1,1,1;setstate,10),
      P2UpdateCurComboMessageCommand= function(self)
              if p2_cur_combo >= 10 then
                local str_cur_combo = string.format('%04d', p2_cur_combo);
                local digit = string.sub(str_cur_combo, 3, 3);
                self:setstate(tonumber(digit));
              end
            end,
      Texture= "graphics/combo 11x1",
      },
      Def.Sprite{
        Name= "xtl_actor_qqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
          {Frame= 10, Delay= 130},
      },
      InitCommand= cmd(diffuse,240/255,240/255,150/255,1;setstate,10;zoom,0.42;x,P2_CENTER+30;y,SCREEN_CENTER_Y+45),
      P2BrokeComboMessageCommand= cmd(diffuse,1,1,1,1;setstate,10),
      P2UpdateCurComboMessageCommand= function(self)
              if p2_cur_combo ~= 0 then
                local str_cur_combo = string.format('%04d', p2_cur_combo);
                local digit = string.sub(str_cur_combo, 4, 4);
                self:setstate(tonumber(digit));
              end
            end,
      Texture= "graphics/combo 11x1",
      },
      Def.Sprite{
        Name= "xtl_actor_rqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P2_CENTER+50;y,SCREEN_CENTER_Y-129),
      P2UpdateCurComboMessageCommand= function(self)
              local str_score = string.format('%05d', p2_cur_score);
              local digit = string.sub(str_score, 1, 1);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/big_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_sqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P2_CENTER+61;y,SCREEN_CENTER_Y-129),
      P2UpdateCurComboMessageCommand= function(self)
              local str_score = string.format('%05d', p2_cur_score);
              local digit = string.sub(str_score, 2, 2);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/big_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_tqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P2_CENTER+72;y,SCREEN_CENTER_Y-129),
      P2UpdateCurComboMessageCommand= function(self)
              local str_score = string.format('%05d', p2_cur_score);
              local digit = string.sub(str_score, 3, 3);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/big_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_uqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P2_CENTER+83;y,SCREEN_CENTER_Y-129),
      P2UpdateCurComboMessageCommand= function(self)
              local str_score = string.format('%05d', p2_cur_score);
              local digit = string.sub(str_score, 4, 4);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/big_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_vqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P2_CENTER+94;y,SCREEN_CENTER_Y-129),
      P2UpdateCurComboMessageCommand= function(self)
              local str_score = string.format('%05d', p2_cur_score);
              local digit = string.sub(str_score, 5, 5);
              self:setstate(tonumber(digit));
            end,
      Texture= "graphics/big_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_wqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P2_CENTER+105;y,SCREEN_CENTER_Y-128;queuecommand,"RandScore"),
      RandScoreCommand= function(self)
              local str_score = string.format('%05d', p2_cur_score);
              if GAMESTATE:GetSongBeat() >= 40 then
                if GAMESTATE:GetSongBeat() <= 408 then
                  if string.sub(str_score, 1, 1) == '1' then
                    digit = '0';
                  else
                    digit = tostring(math.random(0,9));
                  end
                  self:setstate(tonumber(digit));
                end
              else
                digit = '0';
                self:setstate(tonumber(digit));
              end
              self:sleep(0.05);
              self:queuecommand('RandScore');
            end,
      Texture= "graphics/small_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_xqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P2_CENTER+116;y,SCREEN_CENTER_Y-128;queuecommand,"RandScore"),
      RandScoreCommand= function(self)
              local str_score = string.format('%05d', p2_cur_score);
              if GAMESTATE:GetSongBeat() >= 40 then
                if GAMESTATE:GetSongBeat() <= 408 then
                  if string.sub(str_score, 1, 1) == '1' then
                    digit = '0';
                  else
                    digit = tostring(math.random(0,9));
                  end
                  self:setstate(tonumber(digit));
                end
              else
                digit = '0';
                self:setstate(tonumber(digit));
              end
              self:sleep(0.05);
              self:queuecommand('RandScore');
            end,
      Texture= "graphics/small_score 10x1",
      },
      Def.Sprite{
        Name= "xtl_actor_yqh",
        Frames= {
          {Frame= 0, Delay= 130},
          {Frame= 1, Delay= 130},
          {Frame= 2, Delay= 130},
          {Frame= 3, Delay= 130},
          {Frame= 4, Delay= 130},
          {Frame= 5, Delay= 130},
          {Frame= 6, Delay= 130},
          {Frame= 7, Delay= 130},
          {Frame= 8, Delay= 130},
          {Frame= 9, Delay= 130},
      },
      InitCommand= cmd(zoom,0.38;x,P2_CENTER+127;y,SCREEN_CENTER_Y-128;queuecommand,"RandScore"),
      RandScoreCommand= function(self)
              local str_score = string.format('%05d', p2_cur_score);
              if GAMESTATE:GetSongBeat() >= 40 then
                if GAMESTATE:GetSongBeat() <= 408 then
                  if string.sub(str_score, 1, 1) == '1' then
                    digit = '0';
                  else
                    digit = tostring(math.random(0,9));
                  end
                  self:setstate(tonumber(digit));
                end
              else
                digit = '0';
                self:setstate(tonumber(digit));
              end
              self:sleep(0.05);
              self:queuecommand('RandScore');
            end,
      Texture= "graphics/small_score 10x1",
      },
    },
    Def.Sprite{
      Name= "xtl_actor_zqh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,19.692308/rate_mod;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_arh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,43.692308/rate_mod;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_brh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,19.692308/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_crh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,43.692308/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_drh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,45.230769/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_erh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,47.692308/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_frh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,48.923077/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_grh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,51.230769/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_hrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,52.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_irh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,52.923077/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_jrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,63.846154/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_krh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,66.461538/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_lrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,71.384615/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_mrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,72.615385/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_nrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,90.769231/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_orh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,92.461538/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_prh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,93.846154/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_qrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,94.923077/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_rrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,95.692308/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_srh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,96.923077/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_trh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,97.846154/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_urh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,98.461538/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_vrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,109.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_wrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,110.615385/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_xrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,115.230769/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_yrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,116.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_zrh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,117.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_ash",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,118.461538/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_bsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,121.076923/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_csh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER-98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/left_indicator.png",
    WaitCommand= cmd(sleep,122.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_dsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,9.846154/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_esh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,32.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_fsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,44.153846/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_gsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,46.307692/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_hsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,48.769231/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_ish",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,50.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_jsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,51.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_ksh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,52.307692/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_lsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,61.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_msh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,72.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_nsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,73.846154/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_osh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,89.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_psh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,92.000000/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_qsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,93.230769/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_rsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,94.153846/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_ssh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,95.384615/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_tsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,96.153846/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_ush",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,97.384615/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_vsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,98.153846/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_wsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,110.153846/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_xsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,114.461538/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_ysh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,115.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_zsh",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,117.076923/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_ath",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,118.769231/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_bth",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,120.615385/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_cth",
    BlinkCommand= cmd(visible,1;linear,beat_length*0.5/rate_mod;diffusealpha,0.2;linear,beat_length*0.5/rate_mod;diffusealpha,1;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0.2;zoom,0.35;linear,beat_length*0.5/rate_mod;diffusealpha,1;zoom,0.38;
                    linear,beat_length*0.5/rate_mod;diffusealpha,0;queuecommand,"Hide"),
    HideCommand= cmd(visible,0),
    InitCommand= cmd(zoom,0.38;x,P2_CENTER+98;y,SCREEN_CENTER_Y + 70;diffusealpha,1;visible,0;queuecommand,"Wait"),
    Texture= "graphics/right_indicator.png",
    WaitCommand= cmd(sleep,121.538462/rate_mod + offset;queuecommand,"Blink"),
    },
    Def.Sprite{
      Name= "xtl_actor_dth",
    InitCommand= cmd(zoom,0.375;x,P2_CENTER;y,SCREEN_CENTER_Y + -197),
    Texture= "graphics/marquee.png",
    },
    Def.Sprite{
      Name= "xtl_actor_eth",
    InitCommand= cmd(zoom,0.375;x,P2_CENTER+104;y,SCREEN_CENTER_Y-28),
    Texture= "graphics/life_info.png",
    },
    Def.Sprite{
      Name= "xtl_actor_fth",
    InitCommand= cmd(zoom,0.375;x,P2_CENTER+88;y,SCREEN_CENTER_Y-127),
    Texture= "graphics/score_info.png",
    },
    Def.Sprite{
      Name= "xtl_actor_gth",
    InitCommand= cmd(zoom,0.375;x,P2_CENTER-92;y,SCREEN_CENTER_Y-6),
    Texture= "graphics/player_info.png",
    },
    Def.Sprite{
      Name= "xtl_actor_hth",
    InitCommand= cmd(zoom,0.375;x,P2_CENTER-88;y,SCREEN_CENTER_Y-127),
    Texture= "graphics/track_info.png",
    },
    Def.Sprite{
      Name= "xtl_actor_ith",
    InitCommand= cmd(zoom,0.375;x,P2_CENTER+102;y,SCREEN_CENTER_Y-112),
    Texture= "graphics/max_chain.png",
    },
  }),
  optional_actor(xtl_cond_a_result,
  Def.Sprite{
    Name= "xtl_actor_jth",
  OnCommand= function(self)
      self:diffuse(0,0,0,1);
      self:zoomto(P1_CENTER-135, SCREEN_HEIGHT);
      self:x((P1_CENTER-135)/2);
      self:y(SCREEN_CENTER_Y);
      self:sleep(song_duration);
    end,
  }),
  optional_actor(xtl_cond_b_result,
  Def.Sprite{
    Name= "xtl_actor_kth",
  OnCommand= function(self)
      self:diffuse(0,0,0,1);
      self:zoomto(P1_CENTER-135, SCREEN_HEIGHT);
      self:x(SCREEN_WIDTH - (P1_CENTER-135)/2);
      self:y(SCREEN_CENTER_Y);
      self:sleep(song_duration);
    end,
  }),
  Def.Sprite{
    Name= "xtl_actor_lth",
  OnCommand= function(self)
      self:diffuse(0,0,0,1);
      if GAMESTATE:IsPlayerEnabled(PLAYER_1) and not GAMESTATE:IsPlayerEnabled(PLAYER_2) then
        self:zoomto(SCREEN_WIDTH-(P1_CENTER+135), SCREEN_HEIGHT);
        self:x((SCREEN_WIDTH-(P1_CENTER+135))/2 + P1_CENTER-135+270);
      elseif not GAMESTATE:IsPlayerEnabled(PLAYER_1) and GAMESTATE:IsPlayerEnabled(PLAYER_2) then
        self:zoomto(SCREEN_WIDTH-(P1_CENTER+135), SCREEN_HEIGHT);
        self:x((SCREEN_WIDTH-(P1_CENTER+135))/2);
      else
        self:zoomto(50, SCREEN_HEIGHT);
        self:x(SCREEN_CENTER_X);
      end
      
      self:y(SCREEN_CENTER_Y);
      self:sleep(song_duration);
    end,
  },
  Def.Sprite{
    Name= "xtl_actor_nth",
  OnCommand= cmd(sleep,song_duration),
  },
}
